﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using FrienDev.BusinessRules;
using FrienDev.Data;

public partial class Activity_InfoEdit : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request["activityId"] == null)
        {
            Page.Title = "新建活动 - clubof.net";
            lb_Title.Text = "新建活动";
            ActivityNavigatorBar.Visible = false;
        }
        else if (Request["activityId"] != null)
        {
            int activityId = 0;
            int.TryParse(Request["activityId"], out activityId);
            Activity activity = ActivityRules.Instance.GetActivityInfo(activityId);
            if (activity != null)
            {
                lb_Title.Text = "活动：" + activity.ActivityName;
            }
        }
    }
}
