﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ActivityFeedBack.aspx.cs"
    Inherits="Activity_ActivityFeedBack" MasterPageFile="~/Templates/Application.master"
    Title="活动反馈 - clubof.net" %>

<%@ Register TagPrefix="FrienDev" TagName="FeedBackReport" Src="../Controls/Activity/FeedBackReport.ascx" %>
<%@ Register TagPrefix="FrienDev" TagName="ActivityNavigatorBar" Src="~/Controls/Activity/ActivityNavigatorBar.ascx" %>
<%@ Register TagPrefix="FrienDev" TagName="FeedBackEdit" Src="~/Controls/Activity/FeedBackTableEdit.ascx" %>
<%@ Register TagPrefix="FrienDev" TagName="FeedBackSummary" Src="~/Controls/Activity/FeedBackSummary.ascx" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <link href="../CSS/homepage.css" rel="Stylesheet" type="text/css" />
    <link href="../CSS/default.css" rel="Stylesheet" type="text/css" />
    <link href="../CSS/activity.css" rel="Stylesheet" type="text/css" />

    <script type="text/javascript">
        function area_showinfo(index) {
            for (var i = 1; i <= 4; i++) {
                if (document.getElementById("showinfo" + i.toString()) != null) {
                    document.getElementById("showinfo" + i.toString()).style.display = 'none';
                }
                if (document.getElementById("infoli" + i.toString()) != null) {
                    document.getElementById("infoli" + i.toString()).className = 'infoli';
                }
                if (document.getElementById("icon" + i.toString()) != null) {
                    document.getElementById("icon" + i.toString()).className = 'icon';
                }
            }
            document.getElementById("showinfo" + index.toString()).style.display = 'block';
            document.getElementById("infoli" + index.toString()).className = 'infoli_click';
            document.getElementById("icon" + index.toString()).className = 'icon_click';
        }
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <div class="font14">
        <div style="padding-left: 14px; text-align: left; font-size: 18px; padding-top: 15px;">
            <asp:Label runat="server" ID="lb_Title" Font-Bold="true" ForeColor="#34567e" Text="活动反馈：" />
            <asp:Label runat="server" ID="lb_UserName" Font-Bold="true" />
        </div>
        <div style="position: absolute; top: 39px; left: 15px; width: 98%;">
            <FrienDev:ActivityNavigatorBar runat="server" ID="ActivityNavigatorBar" />
        </div>
        <div style="clear: both; padding-top: 50px; padding-left: 25px;">
            <ul class="showul" type="none">
                <li onclick="area_showinfo(1);" class="infoli_click" style="width:54px;" id="infoli1">
                    <div id="icon1" class="icon_click">
                    </div>
                    <a href="#" style="font-size:14px;">反馈表</a></li>
                <li onclick="area_showinfo(2);" class="infoli" style="width:80px;" id="infoli2">
                    <div id="icon2" class="icon">
                    </div>
                    <a href="#" style="font-size:14px;">反馈表统计</a></li>
            </ul>
        </div>
        <div style="clear: both; padding-top: 5px; padding-left: 14px;">
            <div id="showinfo1" style="min-height: 150px; height: auto !important; height: 150px;
                overflow: visible;">
                <FrienDev:FeedBackEdit ID="FeedBackEdit" runat="server" />
            </div>
            <div id="showinfo2" style="display: none; min-height: 150px; height: auto !important;
                height: 150px; overflow: visible;">
                <FrienDev:FeedBackSummary ID="FeedBackSum" runat="server" />
            </div>
        </div>
    </div>
</asp:Content>
