﻿<%@ Page Language="C#" MasterPageFile="~/Templates/ActivityDefault.master" AutoEventWireup="true"
    CodeFile="ActivityMemberList.aspx.cs" Inherits="Activity_ActivityMemberList"
    Title="活动成员- clubof.net" %>

<%@ Register TagPrefix="FrienDev" TagName="ActivityMemberListControl" Src="~/Controls/Activity/MemberList.ascx" %>
<%@ Register TagPrefix="FrienDev" TagName="ActivityStateControl" Src="~/Controls/Activity/State.ascx" %>
<%@ Register TagPrefix="FrienDev" TagName="MemberListDetail" Src="~/Controls/Activity/MemberListDetail.ascx" %>
<%@ Register TagPrefix="FrienDev" TagName="ActivityNavigatorBar" Src="~/Controls/Activity/ActivityNavigatorBar.ascx" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <link href="../css/activity.css" rel="Stylesheet" type="text/css" />
    <link href="../CSS/default.css" rel="Stylesheet" type="text/css" />

    <script type="text/javascript">
        function area_showinfo(index) {
            for (var i = 1; i <= 2; i++) {
                if (document.getElementById("showinfo" + i.toString()) != null) {
                    document.getElementById("showinfo" + i.toString()).style.display = 'none';
                }
                if (document.getElementById("infoli" + i.toString()) != null) {
                    document.getElementById("infoli" + i.toString()).className = 'infoli';
                }
                if (document.getElementById("icon" + i.toString()) != null) {
                    document.getElementById("icon" + i.toString()).className = 'icon';
                }
            }
            document.getElementById("showinfo" + index.toString()).style.display = 'block';
            document.getElementById("infoli" + index.toString()).className = 'infoli_click';
            document.getElementById("icon" + index.toString()).className = 'icon_click';
        }
    </script>

</asp:Content>
<asp:Content ID="Content_Middle" ContentPlaceHolderID="MiddleContentPlaceHolder"
    runat="Server">
    <div class="font14">
        <div style="text-align: left; font-size: 18px; position:absolute; top:15px; left:20px;">
            <img src="../Images/umbrella.png" />
            <asp:Label runat="server" ID="lb_Title" Font-Bold="true" ForeColor="#34567e" Text="活动：" />
            <asp:Label runat="server" ID="lb_UserName" Font-Bold="true" />
        </div>
         <div style="position:absolute; top:39px; left:15px; width:98%;">
            <FrienDev:ActivityNavigatorBar runat="server" ID="ActivityNavigatorBar" />
        </div>
        <div style="text-align: left; margin-top: 73px; border-right:solid 1px #cccccc; min-height: 600px; height:auto !important; height:600px; overflow:visible;">
            <table width="100%" style="margin-top:14px;">
                <tr>
                    <td>
                        <ul class="showul" type="none">
                            <li onclick="area_showinfo(1);" class="infoli_click" style="width:80px;" id="infoli1">
                                <div id="icon1" class="icon_click">
                                </div>
                                <a href="#" style="font-size:14px;">待批准成员</a></li>
                            <li onclick="area_showinfo(2);" class="infoli" style="width:80px;" id="infoli2">
                                <div id="icon2" class="icon">
                                </div>
                                <a href="#" style="font-size:14px;">已批准成员</a></li>
                        </ul>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div id="showinfo1" style="text-align: left;">
                            <FrienDev:MemberListDetail runat="server" ID="Control_CandidateMemberListDetail" IsCandidate="true" />
                        </div>
                        <div id="showinfo2" style="display: none; text-align: left;">
                            <FrienDev:MemberListDetail runat="server" ID="Control_JoinedMemberListDetail" IsCandidate="false" />
                        </div>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content_Right" ContentPlaceHolderID="RightContentPlaceHolder" runat="Server">
    <div id="div_State">
        <FrienDev:ActivityStateControl runat="server" ID="ActivityState" />
    </div>
    <div id="div_MemberCandidate">
        <FrienDev:ActivityMemberListControl runat="server" ID="ActivityMemberCandidate" IsMemberJoined="false" />
    </div>
    <div id="div_MemberJoin">
        <FrienDev:ActivityMemberListControl runat="server" ID="ActivityMemberJoin" IsMemberJoined="true" />
    </div>
</asp:Content>
