﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using FrienDev.Data;
using FrienDev.BusinessRules;

public partial class Activity_ImageListDetail : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            int activityId = 0;
            if (HttpContext.Current.Request["activityId"] == null)
            {
                Response.Redirect("~/home/default.aspx");
            }
            else
            {
                int.TryParse(HttpContext.Current.Request["activityId"], out activityId);
                Activity ac = ActivityRules.Instance.GetActivityInfo(activityId);
                if (ac == null)
                {
                    Response.Redirect("~/home/default.aspx");
                }
                else
                {
                    lb_Title.Text += ac.ActivityName;
                }
            }
        }
    }
}
