﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ActivityEdit.ascx.cs"
    Inherits="Controls_Activity_Add" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<div style="margin-left: 20px; margin-top: 15px; text-align: left;">
    <div class="icon_tiptext_gray" style="margin-right: 5px;">
    </div>
    <asp:Label runat="server" ID="lb_Title" Font-Size="14px" ForeColor="#999999">编辑活动</asp:Label>
</div>
<asp:UpdatePanel runat="server" ID="upAddActivity" UpdateMode="Conditional" ChildrenAsTriggers="false">
    <ContentTemplate>
        <table width="100%" border="0" class="font14">
            <tr>
                <td colspan="2" align="right">
                    <asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="upAddActivity"
                        DynamicLayout="true">
                        <ProgressTemplate>
                            <div style="border: solid 1px black; width: 154px;">
                                <table>
                                    <tr>
                                        <td class="width18">
                                            <asp:Image ID="Image1" runat="server" ImageUrl="~/Images/Loading.gif" />
                                        </td>
                                        <td class="blue">
                                            正在处理，请稍候...
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </ProgressTemplate>
                    </asp:UpdateProgress>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_solid_line98per" />
                </td>
            </tr>
            <asp:Panel runat="server" ID="pnClub" Visible="false">
                <tr>
                    <td class="ActivityEdit_style2">
                        活动所属俱乐部：
                    </td>
                    <td width="80%" align="left">
                        <asp:DropDownList runat="server" ID="drpClubList" />
                        <asp:Label ID="lblClubMessage" Text="没有可以选择的俱乐部，请创建一个或者成为已有俱乐部的管理员。" runat="server"
                            Visible="false" />
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <hr class="gray_dashed_line98per" />
                    </td>
                </tr>
            </asp:Panel>
            <tr>
                <td class="ActivityEdit_style2">
                    活动名称：
                </td>
                <td width="80%" align="left">
                    <asp:TextBox ID="txtName" runat="server" CssClass="txt220"></asp:TextBox><span class="mustwrite">必填</span>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="txtName"
                        Display="Dynamic" ErrorMessage="活动名称不能为空"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td class="ActivityEdit_style2">
                    活动类型：
                </td>
                <td width="80%" align="left">
                    <asp:RadioButtonList ID="rbActivityType" runat="server" RepeatDirection="Horizontal">
                        <asp:ListItem Selected="True" Value="0">技术交流会</asp:ListItem>
                        <asp:ListItem Value="1">新产品发布会</asp:ListItem>
                        <asp:ListItem Value="2">技术培训</asp:ListItem>
                        <asp:ListItem Value="3">俱乐部聚餐</asp:ListItem>
                        <asp:ListItem Value="4">体育活动</asp:ListItem>
                        <asp:ListItem Value="5">其他活动</asp:ListItem>
                    </asp:RadioButtonList>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td class="ActivityEdit_style2">
                    活动主题：
                </td>
                <td width="80%" align="left">
                    <asp:TextBox ID="txtSubject" runat="server" CssClass="txt220"></asp:TextBox><span
                        class="mustwrite">必填</span>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" Display="Dynamic"
                        ControlToValidate="txtSubject" ErrorMessage="活动主题不能为空"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td class="ActivityEdit_style2">
                    目标人群：
                </td>
                <td width="80%" align="left">
                    <asp:RadioButtonList ID="rbTargetAudience" runat="server" RepeatDirection="Horizontal">
                        <asp:ListItem Selected="True" Value="项目经理">项目经理</asp:ListItem>
                        <asp:ListItem Value="开发人员">开发人员</asp:ListItem>
                        <asp:ListItem Value="设计人员">设计人员</asp:ListItem>
                        <asp:ListItem Value="架构师">架构师</asp:ListItem>
                        <asp:ListItem Value="学生">学生</asp:ListItem>
                        <asp:ListItem Value="所有">所有</asp:ListItem>
                    </asp:RadioButtonList>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td class="ActivityEdit_style2">
                    起始时间：
                </td>
                <td width="80%" align="left">
                    <asp:UpdatePanel runat="server" ID="upStartDate" UpdateMode="Conditional">
                        <ContentTemplate>
                            <div style="float: left">
                                <asp:TextBox ID="txtStartDate" runat="server" OnTextChanged="ControlsOnChanged" AutoPostBack="true"></asp:TextBox>
                                <ajaxToolkit:CalendarExtender ID="CalendarExtender1" runat="server" TargetControlID="txtStartDate"
                                    CssClass="cssCalendar" Format="yyyy-MM-dd" FirstDayOfWeek="Monday" />
                                <asp:DropDownList ID="drpStartHour" runat="server" CssClass="dropdownlist_NoWidth"
                                    OnSelectedIndexChanged="ControlsOnChanged" AutoPostBack="true" />
                                时<asp:DropDownList ID="drpStartMinute" runat="server" CssClass="dropdownlist_NoWidth"
                                    OnSelectedIndexChanged="ControlsOnChanged" AutoPostBack="true" />
                                分
                            </div>
                            <div style="float: left; margin-top: 6px; margin-left: 10px;">
                                <asp:Label ID="lblStartDateError" runat="server" Text="开始时间必须晚于报名截止时间" Visible="false"
                                    ForeColor="Red"></asp:Label>
                            </div>
                        </ContentTemplate>
                    </asp:UpdatePanel>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td class="ActivityEdit_style2">
                    结束时间：
                </td>
                <td width="80%" align="left">
                    <asp:UpdatePanel runat="server" ID="upEndDate" UpdateMode="Conditional">
                        <ContentTemplate>
                            <div style="float: left">
                                <asp:TextBox ID="txtEndDate" runat="server" OnTextChanged="ControlsOnChanged" AutoPostBack="true"></asp:TextBox>
                                <ajaxToolkit:CalendarExtender ID="CalendarExtender2" runat="server" TargetControlID="txtEndDate"
                                    CssClass="cssCalendar" Format="yyyy-MM-dd" FirstDayOfWeek="Monday" />
                                <asp:DropDownList ID="drpEndHour" runat="server" CssClass="dropdownlist_NoWidth"
                                    OnSelectedIndexChanged="ControlsOnChanged" AutoPostBack="true" />
                                时<asp:DropDownList ID="drpEndMinute" runat="server" CssClass="dropdownlist_NoWidth"
                                    OnSelectedIndexChanged="ControlsOnChanged" AutoPostBack="true" />
                                分
                            </div>
                            <div style="float: left; margin-top: 6px; margin-left: 10px;">
                                <asp:Label ID="lblEndDateError" runat="server" Text="结束时间必须晚于开始时间" Visible="false"
                                    ForeColor="Red"></asp:Label>
                            </div>
                        </ContentTemplate>
                    </asp:UpdatePanel>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td class="ActivityEdit_style2">
                    报名截止：
                </td>
                <td width="80%" align="left">
                    <asp:UpdatePanel runat="server" ID="upDeadlineDate" UpdateMode="Conditional">
                        <ContentTemplate>
                            <asp:TextBox ID="txtDeadLineDate" runat="server" OnTextChanged="ControlsOnChanged"
                                AutoPostBack="true"></asp:TextBox>
                            <ajaxToolkit:CalendarExtender ID="CalendarExtender3" runat="server" TargetControlID="txtDeadLineDate"
                                CssClass="cssCalendar" Format="yyyy-MM-dd" FirstDayOfWeek="Monday" />
                            <asp:DropDownList ID="drpDeadlineHour" runat="server" CssClass="dropdownlist_NoWidth"
                                OnSelectedIndexChanged="ControlsOnChanged" AutoPostBack="true" />
                            时<asp:DropDownList ID="drpDeadlineMinute" runat="server" CssClass="dropdownlist_NoWidth"
                                OnSelectedIndexChanged="ControlsOnChanged" AutoPostBack="true" />
                            分
                        </ContentTemplate>
                    </asp:UpdatePanel>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td class="ActivityEdit_style2">
                    所属地区：
                </td>
                <td width="250px" align="left">
                    <asp:UpdatePanel runat="server" ID="pn_WorkPlace" UpdateMode="Conditional">
                        <ContentTemplate>
                            <asp:DropDownList runat="server" ID="drpProvince" AutoPostBack="true" CssClass="dropdownlist_NoWidth"
                                OnSelectedIndexChanged="drpProvince_SelectedIndexChanged" />
                            -
                            <asp:DropDownList runat="server" ID="drpCity" CssClass="dropdownlist_NoWidth" />
                            <span class="mustwrite">必填</span>
                        </ContentTemplate>
                    </asp:UpdatePanel>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td class="ActivityEdit_style2">
                    活动地点：
                </td>
                <td width="80%" align="left">
                    <asp:TextBox ID="txtAddress" runat="server" CssClass="txt220"></asp:TextBox><span
                        class="mustwrite">必填</span>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" Display="Dynamic"
                        ControlToValidate="txtAddress" ErrorMessage="活动地点不能为空"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td class="ActivityEdit_style2">
                    活动费用：
                </td>
                <td width="80%" align="left">
                    <asp:TextBox ID="txtExpense" runat="server" CssClass="txt220"></asp:TextBox><span
                        class="mustwrite">必填</span>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" Display="Dynamic"
                        ControlToValidate="txtExpense" ErrorMessage="活动费用不能为空"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td class="ActivityEdit_style2">
                    人数限制：
                </td>
                <td width="80%" align="left">
                    <asp:TextBox ID="txtLimit" runat="server" CssClass="txt97"></asp:TextBox>
                    人 <span class="gray">(留空或为0表示不限人数)</span>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" Display="Dynamic"
                        ControlToValidate="txtLimit" ErrorMessage="人数限制不能为空"></asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="txtLimit"
                        ErrorMessage="人数限制必须为数字" ValidationExpression="^\d+$"></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td class="ActivityEdit_style2">
                    每用户报名人数限制：
                </td>
                <td width="80%" align="left">
                    <asp:TextBox ID="txtSingleLimit" runat="server" CssClass="txt97"></asp:TextBox>
                    人<span class="mustwrite">必填</span>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="server" Display="Dynamic"
                        ControlToValidate="txtSingleLimit" ErrorMessage="每用户报名限制不能为空"></asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" ControlToValidate="txtSingleLimit"
                        ErrorMessage="每用户报名人数限制必须为数字" Display="Dynamic" ValidationExpression="^\d+$"></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td class="ActivityEdit_style2">
                    联系电话：
                </td>
                <td width="80%" align="left">
                    <asp:TextBox ID="txtPhone" runat="server" CssClass="txt220"></asp:TextBox><span class="mustwrite">必填</span>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator9" runat="server" Display="Dynamic"
                        ControlToValidate="txtPhone" ErrorMessage="联系电话不能为空"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td class="ActivityEdit_style2">
                    电子邮箱：
                </td>
                <td width="80%" align="left">
                    <asp:TextBox ID="txtEmail" runat="server" CssClass="txt220"></asp:TextBox><span class="mustwrite">必填</span>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator10" runat="server" ControlToValidate="txtEmail"
                        Display="Dynamic" ErrorMessage="电子邮箱不能为空"></asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="rev_Email" runat="server" ControlToValidate="txtEmail"
                        Display="Dynamic" ErrorMessage="请填写正确格式的E-Mail" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td class="ActivityEdit_style2">
                    MSN邮箱：
                </td>
                <td width="80%" align="left">
                    <asp:TextBox ID="txtMSN" runat="server" CssClass="txt220"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td class="ActivityEdit_style2">
                    QQ群：
                </td>
                <td width="80%" align="left">
                    <asp:TextBox ID="txtQQ" runat="server" CssClass="txt220"></asp:TextBox>
                    <asp:RegularExpressionValidator ID="RegularExpressionValidator3" runat="server" ControlToValidate="txtQQ"
                        Display="Dynamic" ErrorMessage="QQ群号码必须为数字" ValidationExpression="^\d+$"></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td class="ActivityEdit_style2">
                    是否需要批准：
                </td>
                <td width="80%" align="left">
                    <asp:RadioButtonList ID="rbIsNeedPermit" runat="server" RepeatDirection="Horizontal">
                        <asp:ListItem Value="true" Selected="True">需要发起人批准</asp:ListItem>
                        <asp:ListItem Value="false">无需批准</asp:ListItem>
                    </asp:RadioButtonList>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td class="ActivityEdit_style2">
                    是否公开：
                </td>
                <td width="80%" align="left">
                    <asp:RadioButtonList ID="rbIsPublic" runat="server" RepeatDirection="Horizontal">
                        <asp:ListItem Selected="True" Value="true">公开</asp:ListItem>
                        <asp:ListItem Value="false">只在本俱乐部内显示</asp:ListItem>
                    </asp:RadioButtonList>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td class="ActivityEdit_style2" style="vertical-align: top;">
                    活动介绍：
                </td>
                <td width="80%" align="left" valign="top">
                    <asp:TextBox ID="txtDescription" runat="server" TextMode="MultiLine" CssClass="txt_multiline"></asp:TextBox>      
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ControlToValidate="txtDescription"
                        Display="Dynamic" ErrorMessage="活动介绍不能为空" CssClass="rfvtop"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr class="gray_dashed_line98per" />
                </td>
            </tr>
            <tr>
                <td colspan="2" style="padding-left: 20px;">
                    <asp:UpdatePanel runat="server" ID="upConfirm" UpdateMode="Conditional">
                        <ContentTemplate>
                            <asp:Button runat="server" ID="bt_Save" Text="保存设置" CssClass="bt" OnClick="bt_Save_Click" />
                        </ContentTemplate>
                    </asp:UpdatePanel>
                </td>
            </tr>
        </table>
    </ContentTemplate>
</asp:UpdatePanel>
