﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ImageList.ascx.cs" Inherits="Controls_Activity_ImageList" %>
<table cellpadding="0" cellspacing="0" border="0" width="98%" style="background-color: #EFEFEF;
    height: 25px; border-top: solid 1px #999999; color: #5A6A7E; font-size: 12px;" align="center">
    <tr>
        <td style="width: 25px; text-align: center;">
            <img src="/images/trackicon.png" alt="活动照片" title="活动照片" />
        </td>
        <td style="color: #5A6A7E; font-weight: bold; font-size: 12px;" align="left" valign="middle">
            活动照片
        </td>
        <td align="right" style="padding-right: 8px;">
            <asp:HyperLink runat="server" Text="更多照片" ID="hl_MorePhotos" ForeColor="#5A6A7E" />
        </td>
    </tr>
</table>
<table width="100%">
    <asp:Panel runat="server" ID="pn_NoPhotoTip" Visible="false">
        <tr>
            <td align="center" style="color: #999999;">
                当前活动还没有照片
            </td>
        </tr>
    </asp:Panel>
    <tr>
        <td style="padding-left: 3px;">
            <asp:DataList runat="server" ID="dl_ActivityImage" RepeatDirection="Horizontal" RepeatLayout="Table"
                RepeatColumns="5" HorizontalAlign="Left" Width="100%">
                <ItemTemplate>
                    <table>
                        <tr>
                            <td align="center">
                                <asp:Label runat="server" ID="lb_ImageID" Text='<%# DataBinder.Eval(Container.DataItem,"PhotoId") %>'
                                    Visible="false" />
                                <div style="border: solid 1px #cccccc; width: 106px; height: 78px; text-align: center;
                                    padding-top: 3px;">
                                    <asp:HyperLink runat="server" ID="hl_ActivityImage">
                                        <asp:Image runat="server" ID="img_ActivityImage" Width="100px" Height="75px" ImageUrl='<%# DataBinder.Eval(Container.DataItem,"FileName") %>' /></asp:HyperLink></div>
                            </td>
                        </tr>
                        <tr>
                            <td align="center" class="photoDescription">
                                <asp:HyperLink runat="server" Width="106px" ID="hl_ActivityImageDescription" Text='<%# DataBinder.Eval(Container.DataItem,"Description") %>' />
                            </td>
                        </tr>
                    </table>
                </ItemTemplate>
                <ItemStyle VerticalAlign="Top" Width="101px" />
            </asp:DataList>
        </td>
    </tr>
</table>
