﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="MemberListDetail.ascx.cs"
    Inherits="Controls_Activity_MemberListDetail" %>
<div class="MemberListDiv" style="padding-left:8px;">
    <asp:GridView ID="GridView1" runat="server" CellPadding="4" GridLines="None"
        AutoGenerateColumns="false" Width="100%">
        <HeaderStyle HorizontalAlign="Left" ForeColor="#34567e" Font-Size="12px" VerticalAlign="Middle" Height="27px"></HeaderStyle>
        <FooterStyle BackColor="White" Font-Bold="True" ForeColor="White" />
        <PagerStyle BackColor="White" ForeColor="White" HorizontalAlign="Center" />
        <RowStyle BackColor="White" ForeColor="#333333" />
        <Columns>
            <asp:ImageField HeaderText="头像" DataImageUrlField="imageUrl" ItemStyle-CssClass="activity_itemPost_member" ItemStyle-Width="70px">
            </asp:ImageField>
            <asp:HyperLinkField HeaderText="用户名" DataNavigateUrlFields="userNameUrl" DataTextField="userName" ItemStyle-CssClass="activity_itemPost_member"/>
            <asp:BoundField HeaderText="年龄" DataField="age" ItemStyle-CssClass="activity_itemPost_member"/>
            <asp:BoundField HeaderText="职业" DataField="professor" ItemStyle-CssClass="activity_itemPost_member"/>
            <asp:BoundField HeaderText="联系方式" DataField="contect" ItemStyle-CssClass="activity_itemPost_member"/>
            <asp:TemplateField HeaderText="操作" ItemStyle-CssClass="activity_itemPost_member">
                <ItemTemplate>
                    <asp:LinkButton ID="lbAgree" runat="server" OnClick="lbAgree_Click" CommandArgument='<%# Eval("userId") +"|"+Eval("activityId") %>'>同意</asp:LinkButton>
                    <asp:LinkButton ID="lbReject" runat="server" OnClick="lbReject_Click" CommandArgument='<%#  Eval("userId") +"|"+Eval("activityId") %>'>拒绝</asp:LinkButton>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:Label runat="server" ID="lb_userId" Visible="false" Text='<%# Eval("userId")%>' />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="activityId" Visible="False" />
        </Columns>
        <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
        <EditRowStyle BackColor="#999999" />
        <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
    </asp:GridView>
</div>
