﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ActivityList.ascx.cs"
    Inherits="Controls_Club_ActivityList" %>
<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="FrienDev" %>
<asp:Panel runat="server" ID="pn_Privacy" Visible="false">
    <div style="border: dashed 1px #cccccc; width: 70%; background-color: #EEEEEE; margin-left: 80px;
        margin-top: 60px; margin-bottom: 60px; height: 50px; font-size: 14px; padding-top: 16px;
        padding-left: 5px;">
        <table width="100%">
            <tr>
                <td>
                    <img src="../../Images/Lock.png" width="26px" height="31px" />
                </td>
                <td>
                    只有成为俱乐部正式成员，才能查看。
                </td>
            </tr>
        </table>
    </div>
</asp:Panel>
<div class="ActivityListDiv" align="center">
    <asp:GridView ID="ActivityGrid" runat="server" AllowPaging="True" PageSize="20" AutoGenerateColumns="false"
        BorderWidth="0" OnRowDataBound="ActivityGrid_RowDataBound" BorderColor="White"
        Width="98%">
        <HeaderStyle HorizontalAlign="Left" ForeColor="#34567e" Font-Size="12px" VerticalAlign="Middle"
            Height="27px"></HeaderStyle>
        <EmptyDataTemplate>
            <div>
                &nbsp;&nbsp;目前没有活动</div>
        </EmptyDataTemplate>
        <EmptyDataRowStyle Height="30px" />
        <Columns>
            <asp:TemplateField ItemStyle-Width="250px" ItemStyle-HorizontalAlign="Left"
                ItemStyle-Height="30px" ItemStyle-VerticalAlign="Middle">
                <HeaderTemplate>
                    <span style="padding-left: 5px;">活动主题</span>
                </HeaderTemplate>
                <ItemTemplate>
                    <div style="height: 18px; width: 20px; float: left; padding-left:3px;">
                        <img src="../../Images/clubpaper.png" />
                    </div>
                    <div style="float: left;">
                        <asp:HyperLink ID="hy_ActivityTopic" runat="server" NavigateUrl='<%# DataBinder.Eval(Container.DataItem, "activityUrl")%>'>
                        <%# DataBinder.Eval(Container.DataItem, "activityName")%>
                        </asp:HyperLink>
                        &nbsp;<asp:Label ID="lb_ShortDate" runat="server" ForeColor="#999999">
                        <%# DataBinder.Eval(Container.DataItem, "activityDate")%>
                        </asp:Label>
                    </div>
                </ItemTemplate>
                <ItemStyle Width="250px" Height="30px" HorizontalAlign="Left" VerticalAlign="Middle"
                    BorderColor="#CCCCCC" CssClass="club_itemPost_mainpoint" />
            </asp:TemplateField>
            <asp:TemplateField HeaderText="开始时间" ItemStyle-Width="90px" ItemStyle-HorizontalAlign="Left"
                ItemStyle-Height="30px" ItemStyle-VerticalAlign="Middle">
                <ItemTemplate>
                    <asp:Label ID="txt_BeginDateTime" runat="server" ForeColor="#999999">
                    <%# DataBinder.Eval(Container.DataItem, "beginDateTime")%>
                    </asp:Label>
                </ItemTemplate>
                <ItemStyle Width="90px" Height="30px" HorizontalAlign="Left" VerticalAlign="Middle"
                    BorderColor="#CCCCCC" CssClass="club_itemPost" />
            </asp:TemplateField>
            <asp:TemplateField HeaderText="人数限制" ItemStyle-Width="70px" ItemStyle-HorizontalAlign="Left"
                ItemStyle-Height="30px" ItemStyle-VerticalAlign="Middle">
                <ItemTemplate>
                    <asp:Label ID="lbl_BeginDateTime" runat="server" ForeColor="#558bcc">
                    <%# DataBinder.Eval(Container.DataItem, "signUpLimit")%>
                    </asp:Label>
                </ItemTemplate>
                <ItemStyle Width="70px" Height="30px" HorizontalAlign="Left" VerticalAlign="Middle"
                    BorderColor="#CCCCCC" CssClass="club_itemPost" />
            </asp:TemplateField>
            <asp:TemplateField HeaderText="状态">
                <ItemTemplate>
                    <asp:Label ID="lbl_ActivityState" runat="server" ForeColor="#999999">
                    <%# DataBinder.Eval(Container.DataItem, "activityState")%>
                    </asp:Label>
                </ItemTemplate>
                <ItemStyle Width="52px" Height="30px" HorizontalAlign="Left" VerticalAlign="Middle"
                    BorderColor="#CCCCCC" CssClass="club_itemPost" />
            </asp:TemplateField>
            <asp:TemplateField HeaderText="留言">
                <ItemTemplate>
                    <asp:Label ID="lbl_PostsCount" runat="server" ForeColor="#999999">
                    <%# DataBinder.Eval(Container.DataItem, "postsCount")%>
                    </asp:Label>
                </ItemTemplate>
                <ItemStyle Width="56px" Height="30px" HorizontalAlign="Left" VerticalAlign="Middle"
                    BorderColor="#CCCCCC" CssClass="club_itemPost" />
            </asp:TemplateField>
            <asp:TemplateField HeaderText="发起人">
                <ItemTemplate>
                    <asp:HyperLink ID="hy_Founder" runat="server" NavigateUrl='<%# DataBinder.Eval(Container.DataItem, "founderUrl")%>'>
                    <%# DataBinder.Eval(Container.DataItem, "founder")%>
                    </asp:HyperLink>
                </ItemTemplate>
                <ItemStyle Width="70px" Height="30px" HorizontalAlign="Left" VerticalAlign="Middle"
                    BorderColor="#CCCCCC" CssClass="club_itemPost_founder" />
            </asp:TemplateField>
            <asp:TemplateField HeaderText="俱乐部" Visible="False">
                <ItemTemplate>
                    <asp:HyperLink ID="hy_ClubName" runat="server" NavigateUrl='<%# DataBinder.Eval(Container.DataItem, "clubUrl")%>'>
                    <%# DataBinder.Eval(Container.DataItem, "currentClub")%>
                    </asp:HyperLink>
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
        <HeaderStyle BorderColor="#CCCCCC" Font-Size="12px" ForeColor="#34567E" Height="30px">
        </HeaderStyle>
    </asp:GridView>
    <FrienDev:AspNetPager ID="Pager" runat="server" Width="610px" Font-Names="Arial" BackColor="#999999"
                                    AlwaysShow="false" ShowInputBox="Never" ForeColor="#999999" HorizontalAlign="Center"
                                    PageSize="20" Style="font-size: 12px; background-color: #ffffff; text-decoration: none;
                                    vertical-align: middle;" UrlPaging="True" ShowNavigationToolTip="True" ShowPageIndexBox="Never"
                                    PagingButtonType="Image" ImagePath="/Images/Pager" ButtonImageExtension="gif"
                                    NumericButtonType="Text" CenterCurrentPageButton="true" MoreButtonType="Text"
                                    ButtonImageAlign="Middle" CurrentPageButtonStyle="color: red; font-weight:bold;"
                                    CssClass="PagerStyle" PagingButtonSpacing="8px" NumericButtonCount="9" />
</div>
