﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using FrienDev.BusinessRules;

public partial class Controls_Club_MemberList : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        int clubid = -1;
        //Club club = null;
        if (HttpContext.Current.Request["clubId"] != null)
        {
            clubid = Convert.ToInt32(HttpContext.Current.Request["clubId"]);
        }
        if (clubid != -1)
        {
            DataList1.DataSource = ClubRules.Instance.GetMemberListByClubId(clubid, 20);
            DataList1.DataBind();
            moreMemberLink.NavigateUrl = moreMemberLink.NavigateUrl + "?clubid=" + clubid;
        }
    }

    protected void HY_DataBinding(object sender, EventArgs e)
    {
        HyperLink hy = sender as HyperLink;
        hy.NavigateUrl = ApiHelper.Instance.GetUserHomepageLink(hy.NavigateUrl);
    }

    protected void Img_DataBinding(object seder, EventArgs e)
    {
        Image img = seder as Image;
        img.ImageUrl = ApiHelper.Instance.GetUserLogoUrl(img.ImageUrl);
    }
}
