﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="PostDetail.ascx.cs" Inherits="Controls_Club_PostDetail" %>
<%@ Register TagPrefix="FTB" Namespace="FreeTextBoxControls" Assembly="FreeTextBox" %>

<style type="text/css">
    .PostBoard_txt_singleline
    {
        background-color: #EEEEEE;
        border-bottom: solid 1px #cccccc;
        border-top: none;
        border-left: none;
        border-right: none;
        color: #5A6A7E;
    }
    .txt_multiline
    {
        background-color: #EEEEEE;
        border-bottom: solid 1px #cccccc;
        border-top: none;
        border-left: none;
        border-right: none;
        padding-right:10px;
        color: #5A6A7E;
    }
    .bt
    {
        border: solid 1px #cccccc;
        background-color: #ffffcc;
        color: #5a6a7e;
        font-weight: bold;
        padding-top: 2px;
        margin-right:7px;
    }
    .lbCancelReply
    {
        width: 60px;
        height: 23px;
        background-image: url(/Images/CancelReply.png);
        background-repeat: no-repeat;
        background-position: center;
    }
    .lbReplyMessage
    {
        width: 60px;
        height: 23px;
        background-image: url(/Images/ReplyMessage.png);
        background-repeat: no-repeat;
        background-position: center;
    }
    .PostBoard_sp_Title
    {
        color: #ccc;
        float: left;
    }
    .itemPost a:link,.itemPost a:visited
    {
        color:#34567e;
    }
    .itemPost a:hover,.itemPost a:active
    {
        color:#ff6600;
    }
</style>

<script type="text/javascript">
    function Archor(id) {
        document.getElementById('target').value = id;
        var i;
        i = window.location.href.indexOf("#forms");
        if (i == -1) {
            window.location = window.location + "#forms";
        }
        else {
            window.location = window.location;
        }
        document.getElementById('<%=txt_MesasgeWords.ClientID %>').focus();

    }
    function SingleAnchor() {
        var i;
        i = window.location.href.indexOf("#forms");
        if (i == -1) {
            window.location = window.location + "#forms";
        }
        else {
            window.location = window.location;
        }
        document.getElementById('<%=txt_MesasgeWords.ClientID %>').focus();

    }
</script>

<asp:Panel runat="server" ID="pn_HeaderDetailPage">
    <table cellpadding="0" align="center" cellspacing="0" border="0" width="98%" style="background-color: #EFEFEF;
        height: 25px; border-top: solid 1px #999999; color: #5A6A7E; font-weight: bold;
        font-size: 12px;">
        <tr>
            <td style="width: 25px; text-align: center;">
                <img src="/images/trackicon.png" alt="活动留言板" title="活动留言板" />
            </td>
            <td style="color: #5A6A7E; font-weight: bold; font-size: 12px;" align="left" valign="middle">
                俱乐部话题
            </td>
        </tr>
    </table>
</asp:Panel>
<asp:Panel runat="server" ID="pn_HeaderMorePage" Visible="false">
    <div style="margin-left: 20px; padding-top: 15px;">
        <div class="icon_tiptext">
        </div>
        <span style="font-size: 14px; color: #999999; padding-left: 5px;">俱乐部话题</span>
        <hr style="width: 98%; border: none; border-top: solid 1px #cccccc; height: 0px;" />
    </div>
</asp:Panel>
<asp:UpdatePanel runat="server" ID="up_MessageList" UpdateMode="Conditional">
    <ContentTemplate>
        <table cellpadding="3" cellspacing="5" width="100%">
            <tr>
                <td colspan="2">
                    <asp:GridView runat="server" ID="gv_TopicMessageList" AutoGenerateColumns="false"
                        Width="100%" BorderWidth="0" Font-Size="12px" ShowHeader="false" BorderColor="White"
                        AllowPaging="false" PagerSettings-Mode="NumericFirstLast" PageSize="10">
                        <Columns>
                            <asp:TemplateField ShowHeader="false">
                                <ItemTemplate>
                                    <table width="100%" style="margin-top: -7px; margin-bottom:8px;">
                                        <tr valign="top">
                                            <td style="width: 55px; padding-left: 5px; padding-top: 6px" align="center" valign="top">
                                                <table cellpadding="0" cellspacing="0">
                                                    <tr>
                                                        <td>
                                                            <div style="border: solid 1px #cccccc; width: 51px; height: 48px; padding-top: 2px;padding-left:4px;">
                                                                <asp:HyperLink runat="server" ID="hl_STUserPage">
                                                                    <asp:Image runat="server" ID="img_UserImage" Width="45px" Height="45px" /></asp:HyperLink>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="padding-top:3px; padding-left:6px;">
                                                            <asp:HyperLink runat="server" ID="hl_ShortMessage"  Visible="false">短消息</asp:HyperLink>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                            <td align="left" valign="top" style="width: 90%; padding-left: 0px;">
                                                <table width="100%" cellpadding="0" cellspacing="0">
                                                    <tr>
                                                        <td>
                                                            <table cellpadding="0" cellspacing="0" border="0" width="98%" style="background-color: #EFEFEF;
                                                                height: 25px; color: #5A6A7E; font-weight: bold; *padding-top: 3px; font-size: 12px;">
                                                                <tr valign="middle">
                                                                    <td style="width: 50px; text-align: center; padding-left: 10px; padding-right: 10px;">
                                                                        <asp:HyperLink runat="server" ID="hl_STUserName" />
                                                                    </td>
                                                                    <td style="color: #5A6A7E; font-weight: bold; font-size: 12px;" align="left" valign="middle">
                                                                        <asp:Label runat="server" ID="lb_CreateDateTime" ForeColor="#999999" Text='<%# Eval("CreateDateTime") %>' />
                                                                    </td>
                                                                    <td style="color: #5A6A7E; font-weight: bold; font-size: 12px;" align="right" valign="middle">
                                                                        <asp:Label runat="server" ID="lb_CommentIndex" ForeColor="#69ADFF"></asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="width: 90%; padding-left: 10px; padding-top: 10px;">
                                                            <table cellpadding="0" cellspacing="0" width="100%">
                                                                <tr>
                                                                    <td style="padding-left: 3px;">
                                                                        <asp:Label runat="server" Visible="false" ID="lb_TopicId" Text='<%# Eval("PostId") %>' />
                                                                        <asp:Label runat="server" Visible="false" Text='<%# Eval("UserId") %>' ID="lb_STUserId" />
                                                                </tr>
                                                                <tr>
                                                                    <td style="padding-left: 3px;">
                                                                        <asp:Label Width="690px" runat="server" ID="lb_STMessageContent" ForeColor="#34567e"
                                                                            Text='<%# Eval("Content") %>' />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="padding-top: 15px; padding-left: 13px; padding-bottom: 15px;" colspan="3"
                                                            align="left">
                                                            <asp:LinkButton runat="server" ID="lb_Delete"  Visible="false"
                                                                CommandName="DeleteTopic">删除</asp:LinkButton>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>
                                </ItemTemplate>
                                <ItemStyle Width="100%" CssClass="itemPost" />
                            </asp:TemplateField>
                        </Columns>
                        <PagerTemplate>
                            <table align="center" style="font-size: 14px;">
                                <tr>
                                    <td>
                                        <asp:LinkButton ID="LinkButtonFirstPage" runat="server" CommandArgument="First" CommandName="Page"
                                            Visible="<%# ((GridView)Container.NamingContainer).PageIndex != 0 %>" ForeColor="#999999"><img src="/Images/FirstPage.png" width="60px" height="25px" border="0" /></asp:LinkButton>
                                        <asp:LinkButton ID="LinkButtonPreviousPage" runat="server" CommandArgument="Prev"
                                            CommandName="Page" Visible="<%# ((GridView)Container.NamingContainer).PageIndex != 0 %>"
                                            ForeColor="#999999"><img src="/Images/PrePage.png" width="80px" height="25px" border="0" /></asp:LinkButton>
                                        <asp:PlaceHolder runat="server" ID="ph_Page" />
                                        <asp:LinkButton ID="LinkButtonNextPage" runat="server" CommandArgument="Next" CommandName="Page"
                                            Visible="<%# ((GridView)Container.NamingContainer).PageIndex != ((GridView)Container.NamingContainer).PageCount - 1 %>"
                                            ForeColor="#999999"><img src="/Images/NextPage.png" width="80px" height="25px" border="0" /></asp:LinkButton>
                                        <asp:LinkButton ID="LinkButtonLastPage" runat="server" CommandArgument="Last" CommandName="Page"
                                            Visible="<%# ((GridView)Container.NamingContainer).PageIndex != ((GridView)Container.NamingContainer).PageCount - 1 %>"
                                            ForeColor="#999999"><img src="/Images/LastPage.png" width="60px" height="25px" border="0" /></asp:LinkButton>
                                    </td>
                                </tr>
                            </table>
                        </PagerTemplate>
                    </asp:GridView>
                </td>
            </tr>
            <tr>
                
                <td align="right" colspan="2" style="padding-right:20px;">
                    
                   <%-- <asp:TextBox runat="server" TextMode="MultiLine" ID="txt_MesasgeWords" Height="100px"
                        Width="710px" CssClass="txt_multiline" />--%>
                   <FTB:FreeTextBox ID="txt_MesasgeWords" ImageGalleryPath="~/Upload/FTBImages" ImageGalleryUrl="ftb.imagegallery.aspx?rif={0}&cif={0}"
                        runat="Server" AutoGenerateToolbarsFromString="false" Language="zh-CN" AllowHtmlMode="False"
                        ButtonSet="OfficeXP" EditorBorderColorDark="#EEEEEE" EditorBorderColorLight="#EEEEEE"
                        EnableHtmlMode="False" Width="710px" Height="80px" BreakMode="LineBreak" DesignModeCss="~/css/ftb.css" />
                        <a name="#forms" id="#forms"></a>
                </td>
            </tr>
            <tr>
                <td align="left">
                    <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                            
                            <td align="right" valign="middle">
                                <input id="target" name="target" type="hidden" value="" />
                                <asp:Button runat="server" ID="bt_Submit" Text="回复" CssClass="bt" Width="80px" Height="25px"
                                    Font-Size="14px" ValidationGroup="1" OnClick="bt_Submit_Click" />
                                &nbsp;&nbsp;
                                <asp:RequiredFieldValidator ID="rfv_Words" runat="server" ControlToValidate="txt_MesasgeWords"
                                    Display="Dynamic" Font-Size="14px" ErrorMessage="回复不能为空" ValidationGroup="1"
                                    Style="margin-bottom: 2px;" />
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </ContentTemplate>
</asp:UpdatePanel>
