﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ReceiveMessageBox.ascx.cs"
    Inherits="Controls_Message_ReceiveMessageBox" %>
<script type="text/javascript">
    function nTabs(thisObj, Num) {
        if (thisObj.className == "active") return;
        var tabObj = thisObj.parentNode.id;
        var tabList = document.getElementById(tabObj).getElementsByTagName("li");
        for (i = 0; i < tabList.length; i++) {
            if (i == Num) {
                thisObj.className = "active";
                document.getElementById(tabObj + "_Content" + i).style.display = "block";
            }
            else {
                tabList[i].className = "normal";
                document.getElementById(tabObj + "_Content" + i).style.display = "none";
            }
        }
    }
</script>
<div class="nTab">
    <!-- 标题开始 -->
    <div class="TabTitle">
        <ul id="myTab1">
            <li class="normalsend" onclick="window.location.href='/Home/SendShortMessage.aspx'">发短消息</li>
            <li class="active">个人消息</li>
            <li class="normal" onclick="window.location.href='/Home/SystemMessage.aspx'">系统消息</li>
            <li class="normal" onclick="window.location.href='/Home/SendMessage.aspx'">已发送消息</li>
            
        </ul>
    </div>
    <!-- 内容开始 -->
    <div class="TabContent">
        <div id="myTab1_Content1">
            <asp:Repeater ID="rpt_ReceiveMessage" runat="server" OnItemDataBound="rpt_ReceiveMessage_ItemDataBound"
                OnItemCommand="rpt_ReceiveMessage_ItemCommand">
                <ItemTemplate>
                  <div class="ReceiveItem">
                    <div id="RMPhoto">
                        <img id="cimg_RMPhoto" runat="server" /><br />
                        <asp:HyperLink ID="hy_UserName" runat="server" />
                    </div>
                    <div id="SendTime">
                        <asp:Literal ID="lt_SendTime" runat="server" />
                    </div>
                    <div id="MessageContent">
                        <asp:Literal ID="lt_ShortMessage" runat="server" /><br />
                        <asp:Panel ID="pn_Reply" runat="server" Visible="false">
                            <span class="sestalk">共<asp:Literal ID="lt_MessageCount" runat="server" />条会话:</span>
                            <asp:HyperLink ID="hy_ExpandMessage" runat="server" Text="+展开" ForeColor="#558bcc" />
                        </asp:Panel>
                    </div>
                    <div id="ViewMessage">
                        <asp:LinkButton ID="lbt_Close" runat="server" CommandName="Delete" CssClass="CloseButton">X</asp:LinkButton><br />
                        <div id="Links">
                            <asp:HyperLink ID="hy_ViewMessage" runat="server">查看消息</asp:HyperLink><br />
                            <asp:HyperLink ID="hy_ReplyMessage" runat="server">回复消息</asp:HyperLink>
                        </div>
                    </div>
                  </div>
                </ItemTemplate>
            </asp:Repeater>
            <div style="font: 0px/0px sans-serif;clear:both; display:block;"></div>
        </div>
        <div style="font: 0px/0px sans-serif;clear: both;display: block"></div>
    </div>
</div>

