﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ReceiveMessageDetails.ascx.cs"
    Inherits="Controls_Message_ReceiveMessageDetails" %>
<div class="nTab">
    <!-- 标题开始 -->
    <div class="TabTitle">
        <ul id="myTab1">
            <li class="normalsend" onclick="window.location.href='/Home/SendShortMessage.aspx'">
                发短消息</li>
            <li class="normal" onclick="window.location.href='/Home/ReceiveMessageBox.aspx'">个人消息</li>
            <li class="normal" onclick="window.location.href='/Home/SystemMessage.aspx'">系统消息</li>
            <li class="normal" onclick="window.location.href='/Home/SendMessage.aspx'">已发送消息</li>
        </ul>
    </div>
    <!-- 内容开始 -->
    <div class="TabContent">
        <asp:Repeater ID="rpt_ReceiveDetails" runat="server" OnItemDataBound="rpt_ReceiveDetails_ItemDataBound">
            <ItemTemplate>
                <div class="SendItem">
                    <div id="RSPhoto">
                        <asp:Image ID="img_RMPhoto" runat="server" /><br />
                        <asp:HyperLink ID="hy_SUserName" runat="server" />
                    </div>
                    <div id="SendTimeBySender">
                        <asp:Literal ID="lt_SendTimeBySender" runat="server" />
                    </div>
                    <div id="SendMessageContent">
                        <asp:Literal ID="lt_SendedShortMessage" runat="server" /><br />
                    </div>
                </div>
            </ItemTemplate>
        </asp:Repeater>
        <div style="font: 0px/0px sans-serif; clear: both; display: block;">
        </div>
    </div>
    <div class="deleteTalk">
        <asp:LinkButton ID="lbt_DeleteSession" runat="server" Text="删除会话" OnClick="lbt_DeleteSession_Click" />
    </div>
    <div class="ReplyArea">
        <p></p>
        <div style="color:#cccccc; text-align:left;">回复消息：</div>
        <a name="#replyarea" id="#replyarea"></a>
        <asp:TextBox ID="txt_ReplyContent" runat="server" TextMode="MultiLine" Rows="5" Width="670px"
            BackColor="#eeeeee" />
        <p></p>
        <div class="reply_button">
            <asp:Button ID="btn_Reply" runat="server" Text="回复" OnClick="btn_Reply_Click" BackColor="#FFFFCC"
                Font-Bold="true" ForeColor="#5A6A7E" Width="70px" />
        </div>
    </div>
</div>

<script type="text/javascript">
    var i;
    i = window.location.href.indexOf("#replyarea");
    if (i != -1) {
        document.getElementById("<%=txt_ReplyContent.ClientID %>").focus();
    }
</script>

