﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="SystemMessage.ascx.cs" Inherits="Controls_Message_SystemMessage" %>
<script type="text/javascript">
    function nTabs(thisObj, Num) {
        if (thisObj.className == "active") return;
        var tabObj = thisObj.parentNode.id;
        var tabList = document.getElementById(tabObj).getElementsByTagName("li");
        for (i = 0; i < tabList.length; i++) {
            if (i == Num) {
                thisObj.className = "active";
                document.getElementById(tabObj + "_Content" + i).style.display = "block";
            }
            else {
                tabList[i].className = "normal";
                document.getElementById(tabObj + "_Content" + i).style.display = "none";
            }
        }
    }
</script>
<div class="nTab">
 <!-- 标题开始 -->
 <div class="TabTitle">
     <ul id="myTab1">
            <li class="normalsend" onclick="window.location.href='/Home/SendShortMessage.aspx'">发短消息</li>
            <li class="normal" onclick="window.location.href='/Home/MessageCenter.aspx'">个人消息</li>
            <li class="active" onclick="window.location.href='/Home/SystemMessage.aspx'">系统消息</li>
            <li class="normal" onclick="window.location.href='/Home/SendMessage.aspx'">已发送消息</li>
            
        </ul>
    </div>
     <!-- 内容开始 -->
    <div class="TabContent">
        <div id="myTab1_Content2">
            <div id="SystemMessagePanel">
                <asp:Panel ID="pn_Delete" runat="server" Visible="false">
                <div id="MessageOut" class="MessageOut">
                        <!-- 显示系统消息已经清空和系统消息删除成功的地方，平时是隐藏的 -->
                        <img src="../../Images/MsgDel.gif" alt="" id="ApprovedImg" /><span>系统消息删除成功</span>
                      </div>
                   </asp:Panel>
                <asp:Repeater ID="rpt_SystemMessage" runat="server" 
                    onitemcommand="rpt_SystemMessage_ItemCommand" 
                    onitemdatabound="rpt_SystemMessage_ItemDataBound" 
                    onload="rpt_SystemMessage_Load" onprerender="rpt_SystemMessage_PreRender">
                    <ItemTemplate>
                        <div class="SysMsg">
                            <div id="SendTime">
                                <div id="SysMsgLogo">
                                    <img id="cimg_SysInfo" src="../../../Images/SysmsgLogo.gif" /><br />
                                    <span id="sysinfo">系统消息</span>
                                </div>
                                <div id="SendDateTime">
                                    <asp:Literal ID="lt_SendDate" runat="server" /><br />
                                    <asp:Literal ID="lt_SendTime" runat="server" />
                                </div>
                            </div>
                            <asp:Panel ID="pn_SystemMessage" runat="server" CssClass="pnSysMsg" />
                            <div id="ViewMessage">
                                <asp:LinkButton ID="lbt_Close" runat="server" CommandName="Delete" CssClass="CloseButton">X</asp:LinkButton>
                            </div>
                        </div>
                    </ItemTemplate>
                </asp:Repeater>
                <div id="SMIFooter">
                        <span class="sestalk">共<asp:Literal ID="lt_MessageCount" runat="server" />条系统消息</span>
                        <asp:LinkButton runat="server" ID="lbt_ClearMessage" Text="清空系统消息" 
                            onclick="lbt_ClearMessage_Click" />
                </div>
           </div>
       </div>
   </div>
 </div>
     
