﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using FrienDev.BusinessRules;

public partial class Controls_SystemMessage_Activity_Reject : System.Web.UI.UserControl, ISystemMessageControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        hl_ActivityName.Text = m_ActivityName;
        hl_ActivityName.NavigateUrl = "~/Activity/Detail.aspx?activityId=" + m_ActivityId;
    }

    #region ISystemMessageControl Members

    public void Initialize(int messageId, string[] parameters)
    {
        int.TryParse(parameters[2], out m_ActivityId);
        m_ActivityName = parameters[3];
    }

    #endregion

    private string m_ActivityName;
    private int m_ActivityId;
}
