﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using FrienDev.BusinessRules;
using FrienDev.Data;

public partial class Controls_SystemMessage_Club_Invite : System.Web.UI.UserControl,ISystemMessageControl
{
    private string m_ClubId, m_ClubName;

    public string ClubId
    {
        get
        {
            return m_ClubId;
        }
        set
        {
            m_ClubId = value;
        }
    }

    public string ClubName
    {
        get
        {
            return m_ClubName;
        }
        set
        {
            m_ClubName=value;
        }
    }

    
    protected void Page_Load(object sender, EventArgs e)
    {
        this.img_UserImage.Attributes["src"] = ApiHelper.Instance.GetUserLogoUrl(ClubId);
        this.hy_SenderName.Text = ClubName;
        this.hy_SenderName.NavigateUrl = "~/Club/detail.aspx?clubId=" + ClubId;
        this.hy_Sender.Text = ClubName;
        this.hy_Sender.NavigateUrl = "~/Club/detail.aspx?clubId=" + ClubId;
    }

    #region ISystemMessageControl Members

    public void Initialize(int messageId, string[] parameters)
    {
        ClubId = parameters[2];
        ClubName = parameters[3];
    }

    #endregion
}
