﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="FriendsDetailList.ascx.cs"
    Inherits="Controls_Users_FriendsDetailList" %>
<div>
<div style="padding-left: 14px; text-align: left; font-size: 18px; padding-top: 25px;">
    <asp:Label ID="userName" runat="server" Font-Bold="true" ForeColor="#34567e"/>
</div>
<div id="Container" style="top: 70px; position: absolute; left: 0; width: 818px;">
    <asp:DataList runat="server" ID="friendsList" RepeatDirection="Horizontal" RepeatLayout="Table" ItemStyle-HorizontalAlign="Left"
        RepeatColumns="5" Width="100%">
        <ItemTemplate>
            <table>
                <tr>
                    <td rowspan="2">
                        <asp:Image runat="server" Width="45" Height="45" ImageUrl='<%#DataBinder.Eval(Container.DataItem,"UserId") %>'
                            OnDataBinding="imgDataBindHandle" />
                    </td>
                    <td>
                        <table>
                            <tr>
                                <td>
                                    <asp:HyperLink runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"FullName") %>'
                                        NavigateUrl='<%#DataBinder.Eval(Container.DataItem,"UserId") %>' OnDataBinding="hyDataBindHandle" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:LinkButton ID="removeBtn" runat="server" Text="删除" CommandName='<%#DataBinder.Eval(Container.DataItem,"UserId") %>'
                                        OnClientClick="javascript:if(!confirm('是否真的要删除?')) return false;" OnClick="removeFriendHandle"
                                        OnDataBinding="removeBindHandle" />
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </ItemTemplate>
    </asp:DataList>
    <%--<asp:Repeater ID="rpt_FriendsList" runat="server">
       <ItemTemplate>
        <div id="FriendItem">
            <div id="touxiang">
                <asp:HyperLink ID="hy_ToFriend" runat="server">
                    <asp:Image ID="img_Photo" runat="server" />
                </asp:HyperLink>
            </div>
            <div id="FriendDelete">
                <asp:Image ID="img_IsOnline" runat="server" Visible="false" /><asp:HyperLink ID="hy_FriendLink" runat="server" />               
                <asp:LinkButton ID="lbt_DeleteFriend" runat="server" text="删除"/>
            </div>
        </div>
      </ItemTemplate>
    </asp:Repeater>--%>
</div>
</div>