﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProfileAdd.ascx.cs" Inherits="Controls_Users_ProfileAdd" %>
<%@ Register Assembly="DatePicker" Namespace="iX.Controls" TagPrefix="FrienDev" %>

<table cellpadding="5" cellspacing="0" border="0" width="100%">
    <tr>
        <td colspan="4">
            补全个人信息
        </td>
    </tr>
    <tr>
        <td colspan="4">
            FrienDev是为技术人员所开发的一套
        </td>
    </tr>
    <tr>
        <td align="right">
            你的姓名：
        </td>
        <td style="width:8px;">
            <font color="red">*</font>
        </td>
        <td>
            <asp:TextBox runat="server" ID="txt_Name" ></asp:TextBox>
        </td>
        <td>
            <asp:RequiredFieldValidator ID="nameRequired" runat="server" ControlToValidate="txt_Name"
                ErrorMessage="请输入您的姓名" ToolTip="请输入您的姓名" Display="Dynamic"></asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td align="right">
            你的Email：
        </td>
        <td>
            <font color="red">*</font>
        </td>
        <td>
            <asp:TextBox runat="server" ID="txt_Email" ></asp:TextBox>
        </td>
        <td>
            <asp:RequiredFieldValidator ID="emailRequired" runat="server" ControlToValidate="txt_Email"
                ErrorMessage="请输入您常用的电子邮件" ToolTip="请输入您常用的电子邮件" Display="Dynamic"></asp:RequiredFieldValidator>
            <asp:RegularExpressionValidator ID="emailRegular" runat="server" ControlToValidate="txt_Email" 
                ErrorMessage="您所输入的电子邮件格式不正确" ValidationExpression=".*@.*\..*" Display="Dynamic"></asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr>
        <td align="right">
            性别：
        </td>
        <td>
            
        </td>
        <td colspan="2">
            <asp:RadioButton runat="server" ID="rb_GenderMale" Text="男" GroupName="gender" Checked="true" />
            <asp:RadioButton runat="server" ID="rb_GenderFemale" Text="女" GroupName="gender" /> 
        </td>
    </tr>
    <tr>
        <td align="right">
            出生日期：
        </td>
        <td>
            
        </td>
        <td colspan="2">            
            <FrienDev:DatePicker runat="server" ID="dp_Brithday"></FrienDev:DatePicker>
        </td>
    </tr>
    <tr>
        <td align="right">            
            <img src="../Imgs/img_Lock.gif" />
            隐私设置：
        </td>
        <td>
            <font color="red">*</font>
        </td>
        <td colspan="2">            
            <asp:DropDownList runat="server" ID="ddl_Intimity" Width="156">
                <asp:ListItem>任何人</asp:ListItem>
                <asp:ListItem Selected="True">只有好友</asp:ListItem>                
                <asp:ListItem>只有我自己</asp:ListItem>
            </asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td colspan="2"></td>
        <td align="left" colspan="2">
            <asp:ImageButton ID="btn_Comfirm" runat="server" ImageUrl="~/Imgs/btn_Confirm.gif" />
        </td>
    </tr>
</table>
