﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProfileBasicInformationEdit.ascx.cs"
    Inherits="Controls_Users_ProfileBasicInformationEdit" %>

<script language="javascript" type="text/javascript">
    function display() {
        var lb = document.getElementById("<%=lb_EmailExitingTip.ClientID%>");
        if (lb != null) {
            lb.style.display = "none";
        }
    }
</script>

<style type="text/css">
    .txt
    {
        background-color: #EEEEEE;
        border-bottom: solid 1px #cccccc;
        border-top: none;
        border-left: none;
        border-right: none;
        width: 220px;
        height: 17px;
        padding-top: 5px;
        color: #5A6A7E;
    }
    .txt_multiline
    {
        background-color: #EEEEEE;
        border-bottom: solid 1px #cccccc;
        border-top: none;
        border-left: none;
        border-right: none;
        color: #5A6A7E;
    }
    .dropdownlist
    {
        background-color: #EEEEEE;
        height: 22px;
        width: 220px;
        color: #5A6A7E;
    }
    .dropdownlist_NoWidth
    {
        background-color: #EEEEEE;
        height: 22px;
        color: #5A6A7E;
    }
    .bt
    {
        border: solid 1px #cccccc;
        background-color: #ffffcc;
        color: #5a6a7e;
        font-weight: bold;
        padding-top: 2px;
        width: 102px;
        height: 25px;
    }
    .icon_tiptext
    {
        background-color: #999999;
        width: 4px;
        height: 9px;
        margin-top: 3px;
        float: left;
    }
</style>
<asp:UpdatePanel runat="server" ID="up_UserBasicInfoForm" UpdateMode="Conditional"
    ChildrenAsTriggers="false">
    <ContentTemplate>
        <table width="100%">
            <tr>
                <td colspan="4" align="left">
                    <table width="100%">
                        <tr>
                            <td align="right">
                                <asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="up_UserBasicInfoForm"
                                    DynamicLayout="true">
                                    <ProgressTemplate>
                                        <div style="border: solid 1px black; width: 154px;">
                                            <table>
                                                <tr>
                                                    <td style="width: 18px">
                                                        <asp:Image ID="Image1" runat="server" ImageUrl="~/Images/Loading.gif" />
                                                    </td>
                                                    <td style="color: blue;">
                                                        正在处理，请稍候...
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </ProgressTemplate>
                                </asp:UpdateProgress>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td colspan="4">
                    <hr style="width: 98%; border: none; border-top: solid 1px #cccccc; margin-top: -8px;
                        height: 0px;" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    姓名：
                </td>
                <td style="width: 10px; color: Red;">
                    *
                </td>
                <td style="width: 200px;">
                    <asp:Label runat="server" ID="lb_name" />
                </td>
                <td style="width: 520px;">
                   
                </td>
            </tr>
            <tr>
                <td colspan="4">
                    <hr style="width: 98%; height: 0px; border: none; border-top: dashed 1px #cccccc;" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    Email：
                </td>
                <td style="width: 10px; color: Red;">
                    *
                </td>
                <td style="width: 200px;">
                    <asp:TextBox runat="server" ID="txt_Email" MaxLength="255" CssClass="txt" />
                </td>
                <td style="width: 520px;">
                    <asp:RequiredFieldValidator ID="rfv_Email" runat="server" ControlToValidate="txt_Email"
                        Display="Dynamic" ErrorMessage="请填写您的E-Mail" />
                    <asp:RegularExpressionValidator ID="rev_Email" runat="server" ControlToValidate="txt_Email"
                        Display="Dynamic" ErrorMessage="请填写正确格式的E-Mail" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" />
                    <asp:Label runat="server" Text="输入的邮箱已存在" ForeColor="Red" Visible="false" ID="lb_EmailExitingTip" />
                </td>
            </tr>
            <tr>
                <td colspan="4">
                    <hr style="width: 98%; height: 0px; border: none; border-top: dashed 1px #cccccc;" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    性别：
                </td>
                <td style="width: 10px; color: Red;">
                </td>
                <td style="width: 400px;" align="left" colspan="2">
                    <asp:DropDownList runat="server" ID="ddl_Gender" CssClass="dropdownlist_NoWidth">
                        <asp:ListItem Text="男" Value="0" />
                        <asp:ListItem Text="女" Value="1" />
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td colspan="4">
                    <hr style="width: 98%; height: 0px; border: none; border-top: dashed 1px #cccccc;" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    出生日期：
                </td>
                <td style="width: 10px; color: Red;">
                </td>
                <td style="width: 400px;" align="left" colspan="2">
                    <asp:UpdatePanel runat="server" ID="up_Birthday" UpdateMode="Conditional">
                        <ContentTemplate>
                            <asp:DropDownList runat="server" ID="ddl_year" CssClass="dropdownlist_NoWidth" />
                            年
                            <asp:DropDownList runat="server" ID="ddl_month" AutoPostBack="true" CssClass="dropdownlist_NoWidth" />
                            月
                            <asp:DropDownList runat="server" ID="ddl_day" CssClass="dropdownlist_NoWidth" />
                            日
                        </ContentTemplate>
                    </asp:UpdatePanel>
                </td>
            </tr>
            <tr>
                <td colspan="4">
                    <hr style="width: 98%; height: 0px; border: none; border-top: dashed 1px #cccccc;" />
                </td>
            </tr>
            <asp:UpdatePanel runat="server" ID="up_Technology" UpdateMode="Conditional">
                <ContentTemplate>
                    <tr>
                        <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                            技术专长：
                        </td>
                        <td style="width: 10px; color: Red;">
                        </td>
                        <td style="width: 400px;" align="left" colspan="2">
                            <asp:DropDownList runat="server" ID="ddl_FavoriteTechnical" CssClass="dropdownlist"
                                AutoPostBack="true" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="4" style="text-align: left; padding-left: 40px;">
                            <asp:CheckBoxList runat="server" RepeatDirection="Horizontal" RepeatLayout="Table"
                                ID="cbl_Technology" Visible="false" Width="750px" ForeColor="#5A6A7E" BorderStyle="Dashed"
                                BackColor="#EEEEEE" BorderWidth="1px" />
                        </td>
                    </tr>
                </ContentTemplate>
            </asp:UpdatePanel>
            <tr>
                <td colspan="4">
                    <hr style="width: 98%; height: 0px; border: none; border-top: dashed 1px #cccccc;" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left" valign="top">
                    个人描述：
                </td>
                <td style="width: 10px; color: Red;">
                </td>
                <td style="width: 400px;" align="left" valign="top" colspan="2">
                    <asp:TextBox runat="server" ID="txt_Description" TextMode="MultiLine" Width="400px"
                        Height="80px" MaxLength="1024" CssClass="txt_multiline" />
                </td>
            </tr>
            <tr>
                <td colspan="4">
                    <hr style="width: 98%; height: 0px; border: none; border-top: dashed 1px #cccccc;" />
                </td>
            </tr>
            <tr>
                <td colspan="4" style="padding-left: 20px;">
                    进入<asp:HyperLink runat="server" Text="隐私设置" ID="hl_Privacy" NavigateUrl="~/Home/Profile.aspx?show=privacy" />
                </td>
            </tr>
            <tr>
                <td colspan="4">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc;" />
                </td>
            </tr>
            <tr>
                <td colspan="4" style="padding-left: 20px;">
                    <div class="icon_tiptext">
                    </div>
                    <span style="font-size: 12px; color: #999999; padding-left: 5px;">补全个人信息可以让您在www.clubof.net中获得更好的使用体验，让您的朋友更方便的找到您</span>
                </td>
            </tr>
            <tr>
                <td colspan="4">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc;" />
                </td>
            </tr>
            <tr>
                <td colspan="4" style="width: 700px; padding-left: 20px;">
                    <asp:Button runat="server" ID="bt_Update" Text="保存设置" CssClass="bt" />
                </td>
            </tr>
        </table>
    </ContentTemplate>
</asp:UpdatePanel>
