﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProfileEdit.ascx.cs" Inherits="Controls_Users_ProfileEdit" %>
<%@ Register TagPrefix="FrienDev" TagName="ProfileBasicInformationEdit" Src="ProfileBasicInformationEdit.ascx" %>
<%@ Register TagPrefix="FrienDev" TagName="ProfileDetailInformationEdit" Src="ProfileDetailInformationEdit.ascx" %>
<%@ Register TagPrefix="FrienDev" TagName="ProfileContactInformationEdit" Src="ProfileContactInformationEdit.ascx" %>
<%@ Register TagPrefix="FrienDev" TagName="ProfileUserImageEdit" Src="ProfileUserImageEdit.ascx" %>
<%@ Register TagPrefix="FrienDev" TagName="RulesEdit" Src="RulesEdit.ascx" %>

<script type="text/javascript">
    function area_show(index) {
        for (var i = 1; i <= 3; i++) {
            if (document.getElementById("show" + i.toString()) != null) {
                document.getElementById("show" + i.toString()).style.display = 'none';
            }
            if (document.getElementById("li" + i.toString()) != null) {
                document.getElementById("li" + i.toString()).className = 'showli';
            }
        }
        document.getElementById("show" + index.toString()).style.display = 'block';
        document.getElementById("li" + index.toString()).className = 'showli_click';
    }

    function area_showinfo(index) {
        for (var i = 1; i <= 4; i++) {
            if (document.getElementById("showinfo" + i.toString()) != null) {
                document.getElementById("showinfo" + i.toString()).style.display = 'none';
            }
            if (document.getElementById("infoli" + i.toString()) != null) {
                document.getElementById("infoli" + i.toString()).className = 'infoli';
            }
            if (document.getElementById("icon" + i.toString()) != null) {
                document.getElementById("icon" + i.toString()).className = 'icon';
            }
        }
        document.getElementById("showinfo" + index.toString()).style.display = 'block';
        document.getElementById("infoli" + index.toString()).className = 'infoli_click';
        document.getElementById("icon" + index.toString()).className = 'icon_click';
    }

    var request = {
        QueryString: function(val) {
            var uri = window.location.search;
            var re = new RegExp("" + val + "=([^&?]*)", "ig");
            return ((uri.match(re)) ? (uri.match(re)[0].substr(val.length + 1)) : null);
        }
    }

    window.onload = function() {
        var show = request.QueryString("show");
        if (show == 'userimage') {
            area_show(1);
            area_showinfo(4);
        }
        else if (show == 'profile') {
            area_show(1);
        }
        else if (show == 'account') {
            area_show(2);
        }
        else if (show == 'privacy') {
            area_show(3);
        }
    }
</script>

<div class="font14">
    <div style="padding-left: 14px; text-align: left; font-size: 18px; padding-top: 15px;">
        <asp:Label runat="server" ID="lb_Title" Font-Bold="true" ForeColor="#34567e" Text="账户设置：" />
        <asp:Label runat="server" ID="lb_UserName" Font-Bold="true" />
    </div>
    <div style="padding-top: 10px;">
        <ul class="showul" type="none">
            <li onclick="area_show(1);" class="showli_click" id="li1">
                <div class="height6">
                </div>
                个人资料</li>
           <%-- <li onclick="area_show(2);" class="showli" id="li2">
                <div class="height6">
                </div>
                账户</li>--%>
            <li onclick="area_show(3);" class="showli" id="li3">
                <div class="height6">
                </div>
                隐私</li>
        </ul>
    </div>
    <div style="clear: both; padding-top: 5px; padding-left: 14px;">
        <div id="show1">
            <table width="100%">
                <tr>
                    <td>
                        <ul class="showul" type="none">
                            <li onclick="area_showinfo(1);" class="infoli_click" id="infoli1">
                                <div id="icon1" class="icon_click">
                                </div>
                                <a href="#">基本资料</a></li>
                            <li onclick="area_showinfo(2);" class="infoli" id="infoli2">
                                <div id="icon2" class="icon">
                                </div>
                                <a href="#">详细资料</a></li>
                            <li onclick="area_showinfo(3);" class="infoli" id="infoli3">
                                <div id="icon3" class="icon">
                                </div>
                                <a href="#">联系方式</a></li>
                            <li onclick="area_showinfo(4);" class="infoli" id="infoli4">
                                <div id="icon4" class="icon">
                                </div>
                                <a href="#">头像照片</a></li>
                        </ul>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div id="showinfo1" style="text-align: left;">
                            <FrienDev:ProfileBasicInformationEdit runat="server" ShowType="2" />
                        </div>
                        <div id="showinfo2" style="display: none; text-align: left;">
                            <FrienDev:ProfileDetailInformationEdit runat="server" />
                        </div>
                        <div id="showinfo3" style="display: none; text-align: left;">
                            <FrienDev:ProfileContactInformationEdit runat="server" />
                        </div>
                        <div id="showinfo4" style="display: none; text-align: left;">
                            <FrienDev:ProfileUserImageEdit runat="server" />
                        </div>
                    </td>
                </tr>
            </table>
        </div>
        <div id="show2" style="display: none; height:150px;">
            还未开通帐户设置...
        </div>
        <div id="show3" style="display: none; text-align: left;">
             <FrienDev:RulesEdit runat="server" />
        </div>
    </div>
</div>
