﻿<%@ Page Language="C#" MasterPageFile="~/Templates/ActivityDefault.master" AutoEventWireup="true"
    CodeFile="Detail.aspx.cs" Inherits="Activity_Detail" Title="活动 - clubof.net" ValidateRequest="false" %>

<%@ Register TagPrefix="FrienDev" TagName="ActivityImageListControl" Src="~/Controls/Activity/ImageList.ascx" %>
<%@ Register TagPrefix="FrienDev" TagName="ActivityMemberListControl" Src="~/Controls/Activity/MemberList.ascx" %>
<%@ Register TagPrefix="FrienDev" TagName="ActivityStateControl" Src="~/Controls/Activity/State.ascx" %>
<%@ Register TagPrefix="FrienDev" TagName="Info" Src="~/Controls/Activity/Info.ascx" %>
<%@ Register TagPrefix="FrienDev" TagName="Intro" Src="~/Controls/Activity/Intro.ascx" %>
<%@ Register TagPrefix="FrienDev" TagName="MessageBoard" Src="~/Controls/Activity/MessageBoard.ascx" %>
<%@ Register TagPrefix="FrienDev" TagName="ActivityNavigatorBar" Src="~/Controls/Activity/ActivityNavigatorBar.ascx" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <link href="../css/activity.css" rel="Stylesheet" type="text/css" />
    <link href="../CSS/default.css" rel="Stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="Content_Middle" ContentPlaceHolderID="MiddleContentPlaceHolder"
    runat="Server">

    <div class="font14">
        <div style="text-align: left; font-size: 18px; position:absolute; top:15px; left:20px;">
            <img src="../Images/umbrella.png" />
            <asp:Label runat="server" ID="lb_Title" Font-Bold="true" ForeColor="#34567e" Text="活动：" />
            <asp:Label runat="server" ID="lb_UserName" Font-Bold="true" />
        </div>
        <div style="position:absolute; top:39px; left:15px; width:98%;">
            <FrienDev:ActivityNavigatorBar runat="server" ID="ActivityNavigatorBar" />
        </div>
        <div style="clear: both; padding-top: 75px; min-height: 600px; height:auto !important; height:600px; overflow:visible;">
            <div id="show1">
                <div style="width: 100%; border-right:solid 1px #cccccc; margin-top:-2px;">
                    <div id="div_ActivityInfo">
                        <FrienDev:Info runat="server" ID="ActivityInfo" />
                    </div>
                    <div id="div_ActivityIntro">
                        <FrienDev:Intro runat="server" ID="ActivityIntro" />
                    </div>
                    <div id="div1">
                        <FrienDev:ActivityImageListControl runat="server" ID="ActivityImageList" />
                    </div>
                    <div id="div_MessageBoard">
                        <FrienDev:MessageBoard runat="server" ID="ActivityMessageBoard" ShowType="0" />
                    </div>
                </div>
            </div> 
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content_Right" ContentPlaceHolderID="RightContentPlaceHolder" runat="Server">
    <div id="div_State">
        <FrienDev:ActivityStateControl runat="server" ID="ActivityState" />
    </div>
    <div id="div_MemberCandidate">
        <FrienDev:ActivityMemberListControl runat="server" ID="ActivityMemberCandidate" IsMemberJoined="false" />
    </div>
    <div id="div_MemberJoin">
        <FrienDev:ActivityMemberListControl runat="server" ID="ActivityMemberJoin" IsMemberJoined="true" />
    </div>
</asp:Content>
