﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using FrienDev.BusinessRules;
using FrienDev.Data;

public partial class Activity_ImageEdit : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            int activityId = 0;
            if (HttpContext.Current.Request["activityId"] == null)
            {
                Response.Redirect("~/home/default.aspx");
            }
            else
            {
                int.TryParse(HttpContext.Current.Request["activityId"], out activityId);
                Activity ac = ActivityRules.Instance.GetActivityInfo(activityId);
                if (ac == null)
                {
                    Response.Redirect("~/home/default.aspx");
                }
                else
                {
                    lb_Title.Text += ac.ActivityName;
                }
            }
        }
    }
}
