﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using FrienDev.Data;
using FrienDev.BusinessRules;

public partial class Club_PostBoard : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            int clubId = 0;
            if (HttpContext.Current.Request["clubId"] == null)
            {
                Response.Redirect("~/home/default.aspx");
            }
            else
            {
                clubId = int.Parse(HttpContext.Current.Request["clubId"]);
                Club ac = ClubRules.Instance.GetClubByClubId(clubId);
                if (ac == null)
                {
                    Response.Redirect("~/home/default.aspx");
                }
                else
                {
                    lb_Title.Text += ac.ClubName;
                }
            }
           
        }

    }
}
