﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ActivityInvite.ascx.cs"
    Inherits="Controls_Activity_ActivityInvite" %>
<%@ Register Src="../Common/SelectFriends.ascx" TagName="SelectFriends" TagPrefix="FrienDev" %>
<style type="text/css">
    .icon_tiptext
    {
        background-color: #999999;
        width: 4px;
        height: 9px;
        margin-top: 3px;
        float: left;
    }
    .bt
    {
        border: solid 1px #cccccc;
        background-color: #ffffcc;
        color: #5a6a7e;
        font-weight: bold;
        padding-top: 2px;
        width: 102px;
        height: 25px;
    }
    .txt_multiline_width300
    {
        background-color: #EEEEEE;
        border-bottom: solid 1px #cccccc;
        border-top: none;
        border-left: none;
        border-right: none;
        color: #5A6A7E;
        width: 300px;
    }
</style>
<table width="100%">
    <tr>
        <td style="padding-left: 25px; padding-top: 15px;" colspan="2">
            <div class="icon_tiptext_gray">
            </div>
            <span style="color: #999999; padding-left: 5px; font-size:14px;">站内好友</span>
        </td>
    </tr>
    <tr>
        <td align="center" colspan="2">
            <hr style="width: 98%; border: none; border-top: solid 1px #cccccc; height: 0px;" />
        </td>
    </tr>
    <tr>
        <td align="left" colspan="2" style="padding-left:100px;">
            <FrienDev:SelectFriends ID="SelectFriends1" runat="server" />
        </td>
    </tr>
    <tr>
        <td align="left" style="padding-top: 5px; padding-left:100px;" colspan="2">
            <input type="submit" id="btn_Send" value="发送" onclick="sendMessage();" class="bt" />
        </td>
    </tr>
    <asp:Panel runat="server" ID="pn_OutWebInvite" Visible="true">
        <tr>
            <td style="padding-left: 25px; padding-top: 5px;" colspan="2">
                <div class="icon_tiptext_gray">
                </div>
                <span style="color:#999999; padding-left: 5px; font-size:14px;">站外好友</span>
            </td>
        </tr>
        <tr>
            <td align="center" colspan="2">
                <hr class="gray_solid_line98per"/>
            </td>
        </tr>
        <tr>
            <td style="width: 80px; padding-left: 30px; padding-top: 5px; color: #999999;" align="left"
                valign="top">
                对方Email：
            </td>
            <td align="left">
                <table>
                    <tr>
                        <td>
                            <asp:TextBox runat="server" ID="txt_Email" TextMode="MultiLine" CssClass="txt_multiline_width300"
                                Height="100px" />
                        </td>
                        <td style="padding-left: 5px; font-size: 12px; color: #999999;">
                            一次填写多个Email地址<br />
                            请用回车换行分隔.
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td colspan="2" align="center">
                <hr style="width: 98%; border: none; border-top: dashed 1px #cccccc; height: 0px;" />
            </td>
        </tr>
        <tr>
            <td style="width: 80px; padding-left: 30px; color: #999999;" align="left" valign="top">
                邀请留言：
            </td>
            <td align="left">
                <asp:TextBox runat="server" ID="txt_InviteWords" TextMode="MultiLine" CssClass="txt_multiline_width300"
                    Height="150px" />
            </td>
        </tr>
        <tr>
            <td colspan="2" align="center">
                <hr style="width: 98%; border: none; border-top: dashed 1px #cccccc; height: 0px;" />
            </td>
        </tr>
        <tr>
            <td style="width: 80px; padding-left: 30px; color: #999999;" align="left">
                您的姓名：
            </td>
            <td align="left">
                <asp:TextBox runat="server" ID="txt_Name" CssClass="txt_width300" />
            </td>
        </tr>
        <tr>
            <td colspan="2" align="center">
                <hr style="width: 98%; border: none; border-top: dashed 1px #cccccc; height: 0px;" />
            </td>
        </tr>
        <tr>
            <td colspan="2" align="left" style="padding-left: 100px;">
                <asp:Button runat="server" ID="bt_SendMail" Text="发送邀请" CssClass="bt" />
            </td>
        </tr>
    </asp:Panel>
</table>

<script type="text/javascript">

    var request = {
        QueryString: function(val) {
            var uri = window.location.search;
            var re = new RegExp("" + val + "=([^&?]*)", "ig");
            return ((uri.match(re)) ? (uri.match(re)[0].substr(val.length + 1)) : null);
        }
    }
    
    function getElementsByClassName(n) {
        var el = [],
            _el = document.getElementsByTagName('*');
        for (var i = 0; i < _el.length; i++) {
            if (_el[i].className == n) {
                el[el.length] = _el[i];
            }
        }
        return el;
    }
    function sendMessage() {
        var activityid = request.QueryString("activityid");
        var receivers = new Array();
        var txtNamesDiv = getElementsByClassName("fsg_hy");
        for (var i = 0; i < txtNamesDiv.length; i++) {
            receivers[i] = txtNamesDiv[i].innerText;
        }
        ActivityInviteService.SendSystemMessage(receivers, activityid);
        // window.location.href = "/Home/MessageCenter.aspx";
    }
</script>

