﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ImageListDetail.ascx.cs"
    Inherits="Controls_Activity_ImageListDetail" %>
<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="FrienDev" %>

<script type="text/javascript">
    function tip_over() {
        document.getElementById("div_tip").className = 'icon_tiptext_blue_over';
    }
    function tip_overend() {
        document.getElementById("div_tip").className = 'icon_tiptext_blue';
    }
</script>

<style type="text/css">
    .PagerStyle A
    {
        color: #999999;
    }
</style>
<table width="100%">
    <tr>
        <td style="padding-top: 15px; padding-left: 24px; width: 11%;" align="left">
            <div class="icon_tiptext_gray">
            </div>
            <span style="font-size: 14px; color: #999999; padding-left: 5px;">全部照片</span>
        </td>
        <td style="padding-top: 15px;" align="left">
            <asp:HyperLink runat="server" ID="hl_AddImage">
            <div class="icon_tiptext_blue" id="div_tip">
            </div>
            <span style="font-size: 14px; padding-left: 5px; cursor: pointer;">上传照片</span>
            </asp:HyperLink>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <hr style="width: 98%; border: none; border-top: solid 1px #cccccc; height: 0px;" />
        </td>
    </tr>
    <asp:Panel runat="server" ID="pn_NoPhotoTip" Visible="false">
        <tr>
            <td align="center" style="color: #999999;" colspan="2">
                当前活动还没有照片
            </td>
        </tr>
    </asp:Panel>
    <asp:UpdatePanel runat="server" ID="up_ActivityImage" UpdateMode="Conditional">
        <ContentTemplate>
            <tr>
                <td colspan="2" style="padding-left: 20px;">
                    <asp:DataList runat="server" ID="dl_ActivityImage" RepeatDirection="Horizontal" RepeatLayout="Table"
                        RepeatColumns="5" HorizontalAlign="Center" Width="100%">
                        <ItemTemplate>
                            <table>
                                <tr>
                                    <td align="center">
                                        <asp:Label runat="server" ID="lb_ImageID" Text='<%# DataBinder.Eval(Container.DataItem,"PhotoId") %>'
                                            Visible="false" />
                                        <asp:Label runat="server" ID="lb_FileName" Text='<%# DataBinder.Eval(Container.DataItem,"FileName") %>'
                                            Visible="false" />
                                        <asp:Label runat="server" ID="lb_UserId" Text='<%# DataBinder.Eval(Container.DataItem,"UserId") %>'
                                            Visible="false" />
                                        <div style="border: solid 1px #cccccc; width: 134px; height: 99px; text-align: center;
                                            padding-top: 3px;">
                                            <asp:HyperLink runat="server" ID="hl_ActivityImage">
                                                <asp:Image runat="server" ID="img_ActivityImage" Width="127px" Height="95px" ImageUrl='<%# DataBinder.Eval(Container.DataItem,"FileName") %>' /></asp:HyperLink></div>
                                    </td>
                                </tr>
                                <tr>
                                    <td align="center" class="photoDescription">
                                        <asp:HyperLink runat="server" Width="134px" ID="hl_ActivityImageDescription" Text='<%# DataBinder.Eval(Container.DataItem,"Description") %>'
                                             />
                                    </td>
                                </tr>
                                <tr>
                                    <td align="center">
                                        <font style="color: #999999;">by</font>&nbsp;&nbsp;<asp:HyperLink runat="server"
                                            ID="hl_User" Text='<%# DataBinder.Eval(Container.DataItem,"UserId") %>' />
                                    </td>
                                </tr>
                                <tr>
                                    <td align="center">
                                        <asp:Panel runat="server" ID="pn_Edit" Visible="false">
                                            <asp:LinkButton runat="server" ID="lb_Edit" Text="修改" CommandName="EditImage" />&nbsp;<font
                                                style="color: #558BCC;">|</font>&nbsp;
                                            <asp:LinkButton runat="server" ID="lb_Delete" Text="删除" CommandName="DeleteImage" />
                                        </asp:Panel>
                                    </td>
                                </tr>
                            </table>
                        </ItemTemplate>
                        <ItemStyle VerticalAlign="Top" HorizontalAlign="Left" Width="135px" />
                    </asp:DataList>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; border: none; border-top: solid 1px #cccccc; height: 0px;" />
                </td>
            </tr>
            <tr>
                <td colspan="2" align="left" style="padding-left: 24px;">
                    <asp:Label runat="server" ID="lb_ImageCount" ForeColor="#999999" />
                </td>
            </tr>
            <tr>
                <td colspan="2" align="center">
                    <FrienDev:AspNetPager ID="Pager" runat="server" Width="98%" Font-Names="Arial" BackColor="#999999"
                        AlwaysShow="false" ShowInputBox="Never" ForeColor="#999999" HorizontalAlign="Center"
                        PageSize="20" Style="font-size: 12px; background-color: #ffffff; text-decoration: none;
                        vertical-align: middle;" UrlPaging="True" ShowNavigationToolTip="True" ShowPageIndexBox="Never"
                        PagingButtonType="Image" ImagePath="/Images/Pager" ButtonImageExtension="gif"
                        NumericButtonType="Text" CenterCurrentPageButton="true" MoreButtonType="Text"
                        ButtonImageAlign="Middle" CurrentPageButtonStyle="color: red; font-weight:bold;"
                        CssClass="PagerStyle" PagingButtonSpacing="8px" NumericButtonCount="9" />
                </td>
            </tr>
        </ContentTemplate>
    </asp:UpdatePanel>
</table>
