﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="List.ascx.cs" Inherits="Controls_Activity_List" %>

<script type="text/javascript">
    function area_showinfo(index) {
        for (var i = 1; i <= 2; i++) {
            if (document.getElementById("infoli" + i.toString()) != null) {
                document.getElementById("infoli" + i.toString()).className = 'infoli';
            }
            if (document.getElementById("icon" + i.toString()) != null) {
                document.getElementById("icon" + i.toString()).className = 'icon';
            }
        }
        document.getElementById("infoli" + index.toString()).className = 'infoli_click';
        document.getElementById("icon" + index.toString()).className = 'icon_click';
    }
</script>

<table width="100%">
    <asp:Panel ID="pnSubNavigateBar" runat="server" Visible="true">
        <tr>
            <td>
                <ul class="showul" type="none">
                    <li onclick="area_showinfo(1);" class="infoli_click" id="infoli1">
                        <div id="icon1" class="icon_click">
                        </div>
                        <asp:LinkButton ID="lbRecentActivity" runat="server" OnClick="lbRecentActivity_Click"
                            OnClientClick="area_showinfo(1)">近期活动</asp:LinkButton>
                    </li>
                    <li onclick="area_showinfo(2);" class="infoli" id="infoli2">
                        <div id="icon2" class="icon">
                        </div>
                        <asp:LinkButton ID="lbOldActivity" runat="server" OnClick="lbOldActivity_Click" OnClientClick="area_showinfo(2)">过期活动</asp:LinkButton>
                    </li>
                </ul>
            </td>
        </tr>
    </asp:Panel>
    <tr>
        <td>
            <asp:UpdatePanel runat="server" ID="upGridView" ChildrenAsTriggers="false" UpdateMode="Conditional"
                Visible="true">
                <ContentTemplate>
                    <div class="ActivityList">
                        <asp:GridView ID="ActivityGrid" runat="server" AllowPaging="True" PageSize="20" AutoGenerateColumns="false"
                            BorderWidth="0" OnRowDataBound="ActivityGrid_RowDataBound" BorderColor="White">
                            <HeaderStyle HorizontalAlign="Left" ForeColor="#34567e" Font-Size="12px" VerticalAlign="Middle"
                                Height="27px"></HeaderStyle>
                            <Columns>
                                <asp:TemplateField HeaderText="活动主题" ItemStyle-Width="342px" ItemStyle-HorizontalAlign="Left"
                                    ItemStyle-Height="30px" ItemStyle-VerticalAlign="Middle">
                                    <ItemTemplate>
                                        <asp:HyperLink ID="hy_ActivityTopic" runat="server" NavigateUrl='<%# DataBinder.Eval(Container.DataItem, "activityUrl")%>'>
                    <%# DataBinder.Eval(Container.DataItem, "activityName")%>
                                        </asp:HyperLink>
                                    </ItemTemplate>
                                    <ItemStyle Width="342px" Height="30px" HorizontalAlign="Left" VerticalAlign="Middle"
                                        BorderColor="#CCCCCC" CssClass="activity_itemPost_mainpoint" />
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="开始时间" ItemStyle-Width="200px" ItemStyle-HorizontalAlign="Left"
                                    ItemStyle-Height="30px" ItemStyle-VerticalAlign="Middle">
                                    <ItemTemplate>
                                        <asp:Label ID="txt_BeginDateTime" runat="server" ForeColor="#999999">
                    <%# DataBinder.Eval(Container.DataItem, "beginDateTime")%>
                                        </asp:Label>
                                    </ItemTemplate>
                                    <ItemStyle Width="200px" Height="30px" HorizontalAlign="Left" VerticalAlign="Middle"
                                        BorderColor="#CCCCCC" CssClass="activity_itemPost" ForeColor="#999999" />
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="人数限制" ItemStyle-Width="200px" ItemStyle-HorizontalAlign="Left"
                                    ItemStyle-Height="30px" ItemStyle-VerticalAlign="Middle">
                                    <ItemTemplate>
                                        <asp:Label ID="lbl_BeginDateTime" runat="server">
                    <%# DataBinder.Eval(Container.DataItem, "signUpLimit")%>
                                        </asp:Label>
                                    </ItemTemplate>
                                    <ItemStyle Width="200px" Height="30px" HorizontalAlign="Left" VerticalAlign="Middle"
                                        BorderColor="#CCCCCC" CssClass="activity_itemPost" ForeColor="#999999" />
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="状态">
                                    <ItemTemplate>
                                        <asp:Label ID="lbl_ActivityState" runat="server">
                    <%# DataBinder.Eval(Container.DataItem, "activityState")%>
                                        </asp:Label>
                                    </ItemTemplate>
                                    <ItemStyle Width="180px" Height="30px" HorizontalAlign="Left" VerticalAlign="Middle"
                                        BorderColor="#CCCCCC" CssClass="activity_itemPost" ForeColor="#999999" />
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="留言">
                                    <ItemTemplate>
                                        <asp:Label ID="lbl_PostsCount" runat="server">
                    <%# DataBinder.Eval(Container.DataItem, "postsCount")%>
                                        </asp:Label>
                                    </ItemTemplate>
                                    <ItemStyle Width="180px" Height="30px" HorizontalAlign="Left" VerticalAlign="Middle"
                                        BorderColor="#CCCCCC" CssClass="activity_itemPost" ForeColor="#999999" />
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="发起人">
                                    <ItemTemplate>
                                        <asp:HyperLink ID="hy_Founder" runat="server" NavigateUrl='<%# DataBinder.Eval(Container.DataItem, "founderUrl")%>'>
                    <%# DataBinder.Eval(Container.DataItem, "founder")%>
                                        </asp:HyperLink>
                                    </ItemTemplate>
                                    <ItemStyle Width="200px" Height="30px" HorizontalAlign="Left" VerticalAlign="Middle"
                                        BorderColor="#CCCCCC" CssClass="activity_itemPost_founder" />
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="俱乐部" Visible="False">
                                    <ItemTemplate>
                                        <asp:HyperLink ID="hy_ClubName" runat="server" NavigateUrl='<%# DataBinder.Eval(Container.DataItem, "clubUrl")%>'
                                            ForeColor="#558bcc">
                    <%# DataBinder.Eval(Container.DataItem, "currentClub")%>
                                        </asp:HyperLink>
                                    </ItemTemplate>
                                    <ItemStyle Width="260px" Height="30px" HorizontalAlign="Left" VerticalAlign="Middle"
                                        BorderColor="#CCCCCC" CssClass="activity_itemPost" />
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="好友" Visible="False">
                                    <ItemTemplate>
                                        <asp:HyperLink ID="hy_FriendName" runat="server" NavigateUrl="" ForeColor="#558bcc">
                    <%# DataBinder.Eval(Container.DataItem, "friendName")%>
                                        </asp:HyperLink>
                                    </ItemTemplate>
                                    <ItemStyle Width="180px" Height="30px" HorizontalAlign="Left" VerticalAlign="Middle"
                                        BorderColor="#CCCCCC" CssClass="activity_itemPost" />
                                </asp:TemplateField>
                            </Columns>
                            <HeaderStyle BorderColor="#CCCCCC" Font-Size="12px" ForeColor="#34567E" Height="30px">
                            </HeaderStyle>
                        </asp:GridView>
                    </div>
                </ContentTemplate>
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="lbRecentActivity" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="lbOldActivity" EventName="Click" />
                </Triggers>
            </asp:UpdatePanel>
        </td>
    </tr>
</table>
