﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="MessageBoard.ascx.cs"
    Inherits="Controls_Activity_MessageBoard" %>
<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="FrienDev" %>
<%@ Register TagPrefix="FTB" Namespace="FreeTextBoxControls" Assembly="FreeTextBox" %>
<style type="text/css">
    .txt_multiline
    {
        background-color: #EEEEEE;
        border-bottom: solid 1px #cccccc;
        border-top: none;
        border-left: none;
        border-right: none;
        color: #5A6A7E;
    }
    .bt
    {
        border: solid 1px #cccccc;
        background-color: #ffffcc;
        color: #5a6a7e;
        font-weight: bold;
        padding-top: 2px;
    }
    .lbCancelReply
    {
        width: 60px;
        height: 23px;
        background-image: url(/Images/CancelReply.png);
        background-repeat: no-repeat;
        background-position: center;
    }
    .lbReplyMessage
    {
        width: 60px;
        height: 23px;
        background-image: url(/Images/ReplyMessage.png);
        background-repeat: no-repeat;
        background-position: center;
    }
    .PagerStyle A
    {
        color: #999999;
    }
</style>
<asp:Panel runat="server" ID="pn_HeaderDetailPage">
    <table cellpadding="0" align="center" cellspacing="0" border="0" width="98%" style="background-color: #EFEFEF;
        height: 25px; border-top: solid 1px #999999; color: #5A6A7E; font-weight: bold;
        font-size: 12px;">
        <tr>
            <td style="width: 25px; text-align: center;">
                <img src="/images/trackicon.png" alt="活动留言板" title="活动留言板" />
            </td>
            <td style="color: #5A6A7E; font-weight: bold; font-size: 12px;" align="left" valign="middle">
                活动留言板
            </td>
        </tr>
    </table>
</asp:Panel>
<asp:Panel runat="server" ID="pn_HeaderMorePage" Visible="false">
    <div style="margin-left: 20px; padding-top: 15px;">
        <div class="icon_tiptext_gray">
        </div>
        <span style="font-size: 14px; color: #999999; padding-left: 5px;">留言板</span>
        <hr style="width: 98%; border: none; border-top: solid 1px #cccccc; height: 0px;" />
    </div>
</asp:Panel>
<asp:UpdatePanel runat="server" ID="up_MessageList" UpdateMode="Conditional">
    <ContentTemplate>
        <table cellpadding="3" cellspacing="5" width="100%">
            <tr>
                <td align="center" colspan="2" style="font-size: 12px;">
                    <%-- <asp:TextBox runat="server" TextMode="MultiLine" ID="txt_MesasgeWords" Height="100px"
                        Width="560px" CssClass="txt_multiline" />--%>
                    <FTB:FreeTextBox ID="txt_MesasgeWords" ImageGalleryPath="~/Upload/FTBImages" ImageGalleryUrl="ftb.imagegallery.aspx?rif={0}&cif={0}"
                        runat="Server" AutoGenerateToolbarsFromString="false" DesignModeCss="~/css/ftb.css"
                        AllowHtmlMode="False" ButtonSet="OfficeXP" EditorBorderColorDark="#EEEEEE" EditorBorderColorLight="#EEEEEE"
                        EnableHtmlMode="False" Height="100px" Width="560px" BreakMode="LineBreak" Language="zh-CN" />
                </td>
            </tr>
            <tr>
                <td align="left" style="padding-left: 15px;">
                    <table width="100%">
                        <tr>
                            <td align="left">
                                <asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="up_MessageList"
                                    DynamicLayout="true">
                                    <ProgressTemplate>
                                        <div style="border: solid 1px #999999; width: 154px;">
                                            <table>
                                                <tr>
                                                    <td style="width: 18px">
                                                        <asp:Image ID="Image1" runat="server" ImageUrl="~/Images/Loading.gif" />
                                                    </td>
                                                    <td style="color: blue; font-size: 12px;">
                                                        正在处理，请稍候...
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </ProgressTemplate>
                                </asp:UpdateProgress>
                            </td>
                        </tr>
                    </table>
                </td>
                <td align="left">
                    <table width="100%">
                        <tr>
                            <td align="left">
                                <%--<asp:RequiredFieldValidator ID="rfv_Words" runat="server" ControlToValidate="txt_MesasgeWords"
                                    Display="Dynamic" ErrorMessage="留言不能为空" ValidationGroup="1" />--%>
                                <asp:Label runat="server" ID="lb_NoWords" Text="留言不能为空" Font-Size="12px" ForeColor="Red"
                                    Visible="false" />
                            </td>
                            <td align="right" style="padding-right: 20px;">
                                <asp:Button runat="server" ID="bt_Submit" Text="留言" CssClass="bt" Width="80px" Height="25px"
                                    Font-Size="14px" />
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <asp:GridView runat="server" ID="gv_TopicMessageList" AutoGenerateColumns="false"
                        Width="100%" BorderWidth="0" Font-Size="12px" ShowHeader="false" BorderColor="White"
                        AllowPaging="false">
                        <Columns>
                            <asp:TemplateField ShowHeader="false">
                                <ItemTemplate>
                                    <table width="100%" style="margin-top: -7px;">
                                        <tr>
                                            <td colspan="2" style="padding-right: 7px;">
                                                <hr class="gray_dashed_line100per" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="width: 55px; padding-left: 5px;" align="left" valign="top">
                                                <div style="border: solid 1px #cccccc; width: 51px; height: 48px; text-align: center;
                                                    padding-top: 3px;">
                                                    <asp:HyperLink runat="server" ID="hl_STUserPage">
                                                        <asp:Image runat="server" ID="img_UserImage" Width="45px" Height="45px" /></asp:HyperLink></div>
                                            </td>
                                            <td align="left" valign="top" style="width: 540px; padding-left: 6px;">
                                                <table width="100%" cellpadding="0" cellspacing="0">
                                                    <tr>
                                                        <td style="width: 400px;">
                                                            <table cellpadding="0" cellspacing="0" width="100%">
                                                                <tr>
                                                                    <td style="padding-left: 3px;">
                                                                        <asp:Label runat="server" Visible="false" ID="lb_TopicId" Text='<%# Eval("PostId") %>' />
                                                                        <asp:Label runat="server" Visible="false" Text='<%# Eval("UserId") %>' ID="lb_STUserId" />
                                                                        <asp:HyperLink runat="server" ID="hl_STUserName" ForeColor="#34567e" />&nbsp;&nbsp;<font
                                                                            color="#999999">说道：</font>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td style="padding-left: 3px;">
                                                                        <asp:Label runat="server" ID="lb_STMessageContent" ForeColor="#34567e" Width="350px"
                                                                            Text='<%# Eval("Content") %>' Font-Size="12px" />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td valign="top" align="right" style="width: 140px; padding-right: 7px;">
                                                            <asp:Label runat="server" ID="lb_CreateDateTime" ForeColor="#999999" Text='<%# Eval("CreateDateTime") %>' />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="2" align="left">
                                                            <asp:GridView runat="server" ID="gv_ReMessageList" AutoGenerateColumns="false" Width="528px"
                                                                BorderWidth="0" Font-Size="12px" ShowHeader="false" BorderColor="White">
                                                                <Columns>
                                                                    <asp:TemplateField>
                                                                        <ItemTemplate>
                                                                            <table width="100%" style="margin-top: -7px; margin-left: -3px;">
                                                                                <tr>
                                                                                    <td colspan="2" style="padding-top: 6px;">
                                                                                        <hr class="gray_dashed_line100per" />
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td>
                                                                                        <table cellpadding="0" cellspacing="0">
                                                                                            <tr>
                                                                                                <td style="padding-left: 3px;">
                                                                                                    <asp:Label runat="server" Visible="false" Text='<%# Eval("UserId") %>' ID="lb_ReplyUserId" />
                                                                                                    <asp:HyperLink runat="server" ID="hl_ReplyUserName" ForeColor="#34567e" />&nbsp;&nbsp;<font
                                                                                                        color="#999999">的回复：</font>
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td style="padding-left: 3px;">
                                                                                                    <asp:Label runat="server" ID="lb_ReplyMessageContent" ForeColor="#34567e" Width="350px"
                                                                                                        Text='<%# Eval("Content") %>' Font-Size="12px" />
                                                                                                </td>
                                                                                            </tr>
                                                                                        </table>
                                                                                    </td>
                                                                                    <td valign="top" align="right" style="width: 135px;">
                                                                                        <asp:Label runat="server" ID="lb_ReplyCreateDateTime" ForeColor="#999999" Text='<%# Eval("CreateDateTime") %>' />
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </ItemTemplate>
                                                                    </asp:TemplateField>
                                                                </Columns>
                                                            </asp:GridView>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="padding-top: 15px;" colspan="2" align="left">
                                                            <asp:LinkButton runat="server" ID="lb_Reply" Text="回复" CommandName="Reply" ForeColor="#69ADFF" />&nbsp;&nbsp;<font
                                                                color="#69ADFF">|</font>&nbsp;&nbsp;
                                                            <asp:HyperLink runat="server" ID="hl_ShortMessage" ForeColor="#69ADFF" Visible="false">短消息</asp:HyperLink>
                                                            <asp:LinkButton runat="server" ID="lb_Delete" ForeColor="#69ADFF" Visible="false"
                                                                CommandName="DeleteTopic">|&nbsp;&nbsp;删除</asp:LinkButton>
                                                        </td>
                                                    </tr>
                                                    <asp:Panel runat="server" ID="pn_ReplyBox" Visible="false">
                                                        <tr>
                                                            <td align="left" style="padding-left: -5px;" align="left">
                                                                <table width="260px" cellpadding="0" cellspacing="0">
                                                                    <tr>
                                                                        <td align="left">
                                                                            <%--<asp:TextBox runat="server" ID="txt_ReplyWords" TextMode="MultiLine" Width="260px"
                                                                                Height="80px" CssClass="txt_multiline" />--%>
                                                                            <FTB:FreeTextBox ID="txt_ReplyWords" ImageGalleryPath="~/Upload/FTBImages" ImageGalleryUrl="ftb.imagegallery.aspx?rif={0}&cif={0}"
                                                                                runat="Server" AutoGenerateToolbarsFromString="false" Language="zh-CN" AllowHtmlMode="False"
                                                                                ButtonSet="OfficeXP" EditorBorderColorDark="#EEEEEE" EditorBorderColorLight="#EEEEEE"
                                                                                EnableHtmlMode="False" Width="260px" Height="80px" BreakMode="LineBreak" DesignModeCss="~/css/ftb.css" />
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td align="left">
                                                                            <table width="100%">
                                                                                <tr>
                                                                                    <td align="left">
                                                                                        <%--<asp:RequiredFieldValidator ID="rfv_ReplyWords" runat="server" ControlToValidate="txt_ReplyWords"
                                                                                            Display="Dynamic" ErrorMessage="回复不能为空" />--%>
                                                                                        <asp:Label runat="server" ID="lb_NoReplyWords" Text="回复不能为空" Font-Size="12px" ForeColor="Red"
                                                                                            Visible="false" />
                                                                                    </td>
                                                                                    <td align="right" style="padding-top: 5px;">
                                                                                        <asp:LinkButton runat="server" ID="lb_ReplyMessage" CssClass="lbReplyMessage" Width="60px"
                                                                                            Height="23px" CommandName="ReplyMessage" />&nbsp;&nbsp;&nbsp;<asp:LinkButton runat="server"
                                                                                                ID="lb_Cancel" Width="60px" Height="23px" CommandName="CancelReply" CssClass="lbCancelReply" />
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </asp:Panel>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>
                                </ItemTemplate>
                                <ItemStyle Width="100%" />
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                </td>
            </tr>
            <tr>
                <td colspan="2" align="center">
                    <FrienDev:AspNetPager ID="Pager" runat="server" Width="98%" Font-Names="Arial" BackColor="#999999"
                        AlwaysShow="false" ShowInputBox="Never" ForeColor="#999999" HorizontalAlign="Center"
                        PageSize="10" Style="font-size: 12px; background-color: #ffffff; text-decoration: none;
                        vertical-align: middle;" UrlPaging="True" ShowNavigationToolTip="True" ShowPageIndexBox="Never"
                        PagingButtonType="Image" ImagePath="/Images/Pager" ButtonImageExtension="gif"
                        NumericButtonType="Text" CenterCurrentPageButton="true" MoreButtonType="Text"
                        ButtonImageAlign="Middle" CurrentPageButtonStyle="color: red; font-weight:bold;"
                        CssClass="PagerStyle" PagingButtonSpacing="8px" NumericButtonCount="9" Visible="false" />
                </td>
            </tr>
            <asp:Panel runat="server" ID="pn_MoreMessage">
                <tr>
                    <td colspan="2" style="padding-right: 7px;">
                        <hr class="gray_dashed_line98per" />
                    </td>
                </tr>
                <tr>
                    <td colspan="2" align="right" style="padding-right: 12px;">
                        <asp:HyperLink runat="server" ID="hl_MoreMessage" Text="查看关于活动的更多留言>>" Font-Size="12px"
                            ForeColor="#999999" />
                    </td>
                </tr>
            </asp:Panel>
        </table>
    </ContentTemplate>
    <Triggers>
        <asp:AsyncPostBackTrigger ControlID="bt_Submit" EventName="Click" />
    </Triggers>
</asp:UpdatePanel>
