﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ClubPostsList.ascx.cs" Inherits="Controls_Club_ClubPostsList" %>
<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="FrienDev" %>
<style type="text/css">
    th
    {
        font-weight:normal;
    }
    .itemPost,.itemAuthor
    {
        border-top:1px solid #ccc;
        border-left:0;
        border-right:0;
        border-bottom:0;
    }
    .itemPost a:link,.itemPost a:visited
    {
        color:#34567e;
    }
    .itemPost a:hover,.itemPost a:active
    {
        color:#ff6600;
    }
    .itemAuthor a:link,.itemAuthor a:visited
    {
        color:#558bcc;
    }
    .itemAuthor a:hover,.itemAuthor a:active
    {
        color:#ff6600;
    }
</style>



<asp:GridView ID="gv_ClubPostsList" runat="server" AllowPaging="True" 
    PageSize="20" AutoGenerateColumns="False" OnRowCommand="gv_ClubPostsList_RowCommand" 
    onrowdatabound="gv_ClubPostsList_RowDataBound" BorderWidth="0" OnPreRender="gv_ClubPostsList_PreRender"                
    OnRowDeleting="gv_ClubPostsList_RowDeleting"            >
                <HeaderStyle HorizontalAlign="Left" ForeColor="#34567e" Font-Size="12px" VerticalAlign="Middle" CssClass="itemPost" Height="30px" Font-Bold="false"></HeaderStyle>
    <EmptyDataTemplate>
        <div>
            &nbsp;&nbsp;目前没有话题</div>
    </EmptyDataTemplate>      
<EmptyDataRowStyle Height="30px" />      
    <Columns>
        <asp:TemplateField HeaderText="话题" ItemStyle-Width="500px"
                                             ItemStyle-HorizontalAlign="Left"
                                             ItemStyle-Height="30px"
                                             ItemStyle-VerticalAlign="Middle"
                                             
        >
            <ItemTemplate>
                <asp:HyperLink ID="hy_PostTitle" runat="server" NavigateUrl='' Font-Size="12px">
                    
                </asp:HyperLink>
                &nbsp;
                <asp:Label ID="lbl_ShortDate" runat="server" ForeColor="#999999" Font-Size="12px">
                    
                </asp:Label>
            </ItemTemplate>

<ItemStyle HorizontalAlign="Left" VerticalAlign="Middle" BorderColor="#CCCCCC" CssClass="itemPost" Height="30px" Width="342px"></ItemStyle>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="回复/浏览" ItemStyle-Width="88px"
                                                  ItemStyle-HorizontalAlign="Left"
                                                  ItemStyle-Height="30px"
                                                  ItemStyle-VerticalAlign="Middle"
                                                  
        >
            <ItemTemplate>
                <asp:Label ID="lbl_ReplyCount" runat="server" Font-Size="12px" ForeColor="#558bcc">
                    
                </asp:Label>
            </ItemTemplate>

<ItemStyle HorizontalAlign="Left" VerticalAlign="Middle" BorderColor="#CCCCCC"  CssClass="itemPost" Height="30px" Width="98px"></ItemStyle>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="作者"
            ItemStyle-Width="78px"
            ItemStyle-HorizontalAlign="Left"
            ItemStyle-Height="30px"
            ItemStyle-VerticalAlign="Middle"
            
        >
            <ItemTemplate>
                <asp:HyperLink ID="hy_Author" runat="server" NavigateUrl='' Text="" Font-Size="12px" >
                    
                </asp:HyperLink>
            </ItemTemplate>

<ItemStyle HorizontalAlign="Left" VerticalAlign="Middle" BorderColor="#CCCCCC"  CssClass="itemAuthor" Height="30px" Width="98px"></ItemStyle>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="最后回复"
            ItemStyle-Width="190px"
            ItemStyle-HorizontalAlign="Left"
            ItemStyle-Height="30px"
            ItemStyle-VerticalAlign="Middle"
            
        >
            <ItemTemplate>
                <asp:Label ID="lbl_ReplyDateTime" runat="server" ForeColor="#999999" Font-Size="12px">
                    
                </asp:Label>
                <asp:HyperLink ID="hy_PostReplyAuthor" runat="server" NavigateUrl='' Font-Size="12px" >
                    
                </asp:HyperLink>
                
            </ItemTemplate>

<ItemStyle HorizontalAlign="Left" VerticalAlign="Middle" BorderColor="#CCCCCC" CssClass="itemAuthor" Height="30px" Width="281px"></ItemStyle>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="操作"
            ItemStyle-Width="148px"
            ItemStyle-HorizontalAlign="Left"
            ItemStyle-Height="30px"
            ItemStyle-VerticalAlign="Middle"
            Visible="false"
        >
            <ItemTemplate>
                <asp:LinkButton ID="lbt_Delete" runat="server" CommandName="Delete" Font-Size="12px" >
                    删除
                </asp:LinkButton>
                &nbsp;
                <asp:LinkButton ID="lbt_TopIt" runat="server" CommandName="TopIt" Font-Size="12px">
                    置顶
                </asp:LinkButton>
            </ItemTemplate>

<ItemStyle HorizontalAlign="Left" VerticalAlign="Middle" BorderColor="#CCCCCC" CssClass="itemAuthor" Height="30px" Width="148px"></ItemStyle>
        </asp:TemplateField>
        
    </Columns>

<HeaderStyle Font-Bold="false" BorderColor="#CCCCCC" BorderWidth="1px" Font-Size="12px" ForeColor="#34567E" Height="27px"></HeaderStyle>
</asp:GridView>
<FrienDev:AspNetPager ID="Pager" runat="server" Width="610px" Font-Names="Arial" BackColor="#999999"
                                    AlwaysShow="false" ShowInputBox="Never" ForeColor="#999999" HorizontalAlign="Center"
                                    PageSize="20" Style="font-size: 12px; background-color: #ffffff; text-decoration: none;
                                    vertical-align: middle;" UrlPaging="True" ShowNavigationToolTip="True" ShowPageIndexBox="Never"
                                    PagingButtonType="Image" ImagePath="/Images/Pager" ButtonImageExtension="gif"
                                    NumericButtonType="Text" CenterCurrentPageButton="true" MoreButtonType="Text"
                                    ButtonImageAlign="Middle" CurrentPageButtonStyle="color: red; font-weight:bold;"
                                    CssClass="PagerStyle" PagingButtonSpacing="8px" NumericButtonCount="9" />
