﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="MemberListDetail.ascx.cs" Inherits="Controls_Club_MemberListDetail" %>
<style type="text/css">
    th
    {
        font-weight:normal;
    }
    .MemberListDetail_itemPost
    {
        border-top:1px solid #ccc;
        border-left:0;
        border-right:0;
        border-bottom:0;
    }
    .memberList_icon_tiptext
    {
        background-color: #999999;
        width: 4px;
        height: 9px;
        margin-top: 3px;
        float: left;
        margin-left:20px;
    }
    .MemberList_bt
    {
        border: solid 1px #cccccc;
        background-color: #ffffcc;
        color: #5a6a7e;
        font-weight: bold;
        padding-top: 2px;
        width: 130px;
        height: 25px;
    }
</style>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
   <tr>
        <td align="left" style="padding-bottom:10px; padding-top:15px; padding-left:30px; font-size:18px; color:#34567e;">
            <img src="/Images/clubicon.png"/>
            <asp:Label runat="server" ID="clubName2" Font-Bold="true" />
        </td>
    </tr>
</table>
<div style="padding-top:37px;">
    <table border="0" cellpadding="0" cellspacing="0" width="100%" style="font-size:14px;border-bottom:solid 1px #cccccc; padding-left:10px;">
        <tr>
            <td align="left" style="width:100px;">
                <div class="memberList_icon_tiptext"></div>&nbsp;
                <font style="font-size:14px; color:#999999;">正式成员</font>
            </td>
            <td align="left">
                <div class="memberList_icon_tiptext"></div>&nbsp;
                <asp:HyperLink runat="server" ID="beMemberLink" Text="待批准成员" NavigateUrl="#" Font-Size="14px"></asp:HyperLink>
            </td>
        </tr>
        <tr>
        <td>&nbsp;</td><td>&nbsp;</td>
        </tr>
    </table>
    <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="false" 
        BorderWidth="0" PageSize="10" BorderColor="#FFFFFF" AllowPaging="true"
        Width="100%" onrowdatabound="GridView1_RowDataBound" 
        onpageindexchanging="GridView1_PageIndexChanging">
        <HeaderStyle HorizontalAlign="Center" ForeColor="#34567e" Font-Size="12px" VerticalAlign="Middle" Height="30px" Font-Bold="false"></HeaderStyle>
        <Columns>
            <asp:TemplateField ItemStyle-Width="20px" ItemStyle-CssClass="MemberListDetail_itemPost">
                <ItemTemplate>
                    <asp:CheckBox runat="server" ID="select" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="头像">
                <ItemTemplate>
                    <asp:Image runat="server" ID="headImg" />
                </ItemTemplate>
                <ItemStyle HorizontalAlign="Center" VerticalAlign="Middle" BorderColor="#CCCCCC" CssClass="MemberListDetail_itemPost" Height="60px" Width="150px"></ItemStyle>
            </asp:TemplateField>
            <%--<asp:ImageField HeaderText="" DataImageUrlField="PhotoFileName" />--%>
            <asp:TemplateField HeaderText="姓名" ItemStyle-CssClass="MemberListDetail_itemPost">
                <ItemTemplate>
                    <asp:HyperLink ID="userName" runat="server" />
                </ItemTemplate>
            </asp:TemplateField>
           <%-- <asp:BoundField HeaderText="姓名" DataField="FullName" ItemStyle-CssClass="MemberListDetail_itemPost" />--%>
            <asp:BoundField HeaderText="角色" ItemStyle-CssClass="MemberListDetail_itemPost" />
            <asp:BoundField HeaderText="城市" DataField="CityId" ItemStyle-CssClass="MemberListDetail_itemPost" />
            <asp:BoundField HeaderText="上次登陆" DataField="LastLoginDateTime" ItemStyle-CssClass="MemberListDetail_itemPost" />
        </Columns>
    </asp:GridView>
    <asp:Panel runat="server" ID="buttonsPanel">
        <table width="100%" border="0" cellspacing="0" cellpadding="5" style="border-top:solid 1px #cccccc;">
            <tr><td>&nbsp;</td></tr>
          <tr>
            <td width="20%" align="right" style="color:#999999; font-size:14px;">将所选用户</td>
            <td width="15%" align="center">
                <asp:Button ID="Button1" runat="server" Text="升级为官员" CssClass="MemberList_bt" OnClientClick="javascript:if(!confirm('确定升级选中的人员?')) return false;" 
                    onclick="Button1_Click" />
              </td>
            <td width="15%" align="center">
                <asp:Button ID="Button2" runat="server" Text="降级为普通成员" CssClass="MemberList_bt" OnClientClick="javascript:if(!confirm('确定降级选中的人员?')) return false;" 
                    onclick="Button2_Click"/>
              </td>
            <td width="50%">
                <asp:Button ID="Button3" runat="server" Text="踢出俱乐部" CssClass="MemberList_bt" OnClientClick="javascript:if(!confirm('确定踢出选中的人员?')) return false;" 
                    onclick="Button3_Click"/>
              </td>
          </tr>
        <tr><td>&nbsp;</td></tr>
        </table>
    </asp:Panel>
</div>