﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="PostList.ascx.cs" Inherits="Controls_Club_PostList" %>
<style type="text/css">
    th
    {
        font-weight: normal;
    }
    .itemPost,.itemAuthor
    {
        border-top: 1px solid #ccc;
        border-left: 0;
        border-right:0;
        border-bottom: 0;
    }
    
    .itemPost a:link,.itemPost a:visited
    {
        color:#34567e;
    }
    .itemPost a:hover,.itemPost a:active
    {
        color:#ff6600;
    }
    .itemAuthor a:link,.itemAuthor a:visited
    {
        color:#558bcc;
    }
    .itemAuthor a:hover,.itemAuthor a:active
    {
        color:#ff6600;
    }
    
</style>
<asp:Panel runat="server" ID="pn_Privacy" Visible="false">
    <div style="border: dashed 1px #cccccc; width: 70%; background-color: #EEEEEE; margin-left: 80px;
        margin-top: 60px; margin-bottom: 60px; height: 50px; font-size: 14px; padding-top: 16px;
        padding-left: 5px;">
        <table width="100%">
            <tr>
                <td>
                    <img src="../../Images/Lock.png" width="26px" height="31px" />
                </td>
                <td>
                    只有成为俱乐部正式成员，才能查看。
                </td>
            </tr>
        </table>
    </div>
</asp:Panel>
<div align="center">
    <asp:GridView ID="gv_ClubPostList" runat="server" AllowPaging="True" PageSize="20" BorderColor="White"
        AutoGenerateColumns="False" OnRowCommand="gv_ClubPostList_RowCommand" OnRowDataBound="gv_ClubPostList_RowDataBound"
        BorderWidth="0" OnRowDeleting="gv_ClubPostList_RowDeleting" OnPreRender="gv_ClubPostList_PreRender" Width="98%">
        <HeaderStyle HorizontalAlign="Left" ForeColor="#34567e" Font-Size="12px" VerticalAlign="Middle"
            Height="30px" Font-Bold="false"></HeaderStyle>
        <EmptyDataTemplate>
            <div>
                &nbsp;&nbsp;目前没有话题</div>
        </EmptyDataTemplate>
        <EmptyDataRowStyle Height="30px" />
        <Columns>
            <asp:TemplateField ItemStyle-Width="300px" ItemStyle-HorizontalAlign="Left" ItemStyle-Height="30px"
                ItemStyle-VerticalAlign="Middle">
                <HeaderTemplate>
                    <span style="padding-left: 4px;">话题</span>
                </HeaderTemplate>
                <ItemTemplate>
                    <div style="height: 18px; width: 20px; float: left; padding-left: 3px;">
                        <img src="../../Images/clubpaper.png" />
                    </div>
                    <div style="float: left;">
                        <asp:HyperLink ID="hy_PostTitle" runat="server" NavigateUrl='' Font-Size="12px" />
                        &nbsp;
                        <asp:Label ID="lbl_ShortDate" runat="server" ForeColor="#999999" Font-Size="12px" />
                    </div>
                </ItemTemplate>
                <ItemStyle HorizontalAlign="Left" VerticalAlign="Middle" BorderColor="#CCCCCC" CssClass="itemPost"
                    Height="30px" Width="300px"></ItemStyle>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="回复/浏览" ItemStyle-Width="80px" ItemStyle-HorizontalAlign="Left"
                ItemStyle-Height="30px" ItemStyle-VerticalAlign="Middle">
                <ItemTemplate>
                    <asp:Label ID="lbl_ReplyCount" runat="server" Font-Size="12px" ForeColor="#558bcc">
                    
                    </asp:Label>
                </ItemTemplate>
                <ItemStyle HorizontalAlign="Left" VerticalAlign="Middle" BorderColor="#CCCCCC" CssClass="itemPost"
                    Height="30px" Width="80px"></ItemStyle>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="作者" ItemStyle-Width="66px" ItemStyle-HorizontalAlign="Left"
                ItemStyle-Height="30px" ItemStyle-VerticalAlign="Middle">
                <ItemTemplate>
                    <asp:HyperLink ID="hy_Author" runat="server" NavigateUrl='' Text="" Font-Size="12px"
                        >
                    
                    </asp:HyperLink>
                </ItemTemplate>
                <ItemStyle HorizontalAlign="Left" VerticalAlign="Middle" BorderColor="#CCCCCC" CssClass="itemAuthor"
                    Height="30px" Width="66px"></ItemStyle>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="最后回复" ItemStyle-Width="148px" ItemStyle-HorizontalAlign="Left"
                ItemStyle-Height="30px" ItemStyle-VerticalAlign="Middle">
                <ItemTemplate>
                    <asp:Label ID="lbl_ReplyDateTime" runat="server" ForeColor="#999999" Font-Size="12px">
                    
                    </asp:Label>
                    <asp:HyperLink ID="hy_PostReplyAuthor" runat="server" NavigateUrl='' Font-Size="12px"
                         >
                    
                    </asp:HyperLink>
                </ItemTemplate>
                <ItemStyle HorizontalAlign="Left" VerticalAlign="Middle" BorderColor="#CCCCCC" CssClass="itemAuthor"
                    Height="30px" Width="148px"></ItemStyle>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="操作" ItemStyle-Width="148px" ItemStyle-HorizontalAlign="Left"
                ItemStyle-Height="30px" ItemStyle-VerticalAlign="Middle" Visible="false">
                <ItemTemplate>
                    <asp:LinkButton ID="lbt_Delete" runat="server" CommandName="Delete" Font-Size="12px"
                        >
                    删除
                    </asp:LinkButton>
                </ItemTemplate>
                <ItemStyle HorizontalAlign="Left" VerticalAlign="Middle" BorderColor="#CCCCCC" CssClass="itemAuthor"
                    Height="30px" Width="148px"></ItemStyle>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
</div>
