﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="MessageCenter.ascx.cs"
    Inherits="Controls_Message_MessageCenter" %>
<asp:Panel ID="pn_body" runat="server">
    <table cellpadding="0" cellspacing="0" border="0" width="100%" style="background-color: #EFEFEF;
        height: 25px; border-top: solid 1px #999999; color: #5A6A7E; font-weight: bold;
        font-size: 12px;">
        <tr>
            <td style="width: 25px; text-align: center;">
                <img src="/images/trackicon.png" alt="消息中心" title="消息中心" />
            </td>
            <td style="color: #5A6A7E; font-weight: bold; font-size: 12px;" align="left" valign="middle">
                消息中心
            </td>
        </tr>
    </table>
    <asp:Repeater ID="rpt_MessageCenter" runat="server" 
        OnItemDataBound="rpt_MessageCenter_ItemDataBound" 
        onitemcommand="rpt_MessageCenter_ItemCommand">
        <ItemTemplate>
            <div id="MessageCenterItem">
                <asp:Label ID="lb_SendTime" runat="server"><%# DataBinder.Eval(Container.DataItem,"SendDateTime") %></asp:Label>&nbsp;
                <asp:HyperLink ID="hy_Sender" runat="server"><%# DataBinder.Eval(Container.DataItem,"SenderId") %></asp:HyperLink>发来一条<asp:LinkButton
                    ID="lbt_MessageLink" runat="server" CommandName="Delete">新消息</asp:LinkButton>
                <asp:Label ID="lb_MessageId" runat="server" Visible="false"><%#DataBinder.Eval(Container.DataItem, "MessageId")%></asp:Label>
            </div>
        </ItemTemplate>
    </asp:Repeater>
    <table cellpadding="0" cellspacing="0" border="0" width="100%" style="height: 50px;">
        <tr>
            <td style="width: 15%; vertical-align: middle; text-align: right;">
                <img src="/images/usermessage.png" alt="短消息" title="短消息" />
            </td>
            <td style="width: 35%; vertical-align: middle; text-align: left;">
                短消息：<asp:HyperLink ID="hy_ShortMessage" runat="server" NavigateUrl="/Home/MessageCenter.aspx"><%=ShortMessageCount.ToString()%>条新</asp:HyperLink>
            </td>
            <td style="width: 15%; vertical-align: middle; text-align: right;">
                <img src="/images/systemmessage.png" alt="系统消息" title="系统消息" />
            </td>
            <td style="width: 35%; vertical-align: middle; text-align: left;">
                系统消息：<asp:HyperLink ID="hy_SystemMessage" NavigateUrl="/Home/SystemMessage.aspx" runat="server"><%=SystemMessageCount.ToString() %>条新</asp:HyperLink>
            </td>
        </tr>
    </table>
</asp:Panel>
