﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using FrienDev.BusinessRules;

public partial class Controls_SystemMessage_Activity_MemberAddRequest : System.Web.UI.UserControl,ISystemMessageControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        hl_ActivityName.Text = m_ActivityName;
        hl_ActivityName.NavigateUrl = "~/Activity/Detail.aspx?activityId=" + m_ActivityId;
        hl_UserName.Text = m_UserName;
        hl_UserName.NavigateUrl = ApiHelper.Instance.GetUserHomepageLink(m_UserId);
        hl_MemberManage.NavigateUrl = "~/Activity/ActivityMemberList.aspx?activityId=" + m_ActivityId;
    }

    #region ISystemMessageControl Members

    public void Initialize(int messageId, string[] parameters)
    {
        int.TryParse(parameters[2], out m_ActivityId);
        m_ActivityName = parameters[3];
        m_UserId = parameters[4];
        m_UserName = parameters[5];
    }

    #endregion

    private int m_ActivityId;
    private string m_ActivityName, m_UserName, m_UserId;
}
