﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProfileContactInformationEdit.ascx.cs"
    Inherits="Controls_Users_ProfileContactInformationEdit" %>
<asp:UpdatePanel runat="server" ID="up_UserContactInfoForm" UpdateMode="Conditional"
    ChildrenAsTriggers="false">
    <ContentTemplate>
        <table width="100%">
            <tr>
                <td colspan="2" align="right">
                    <asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="up_UserContactInfoForm"
                        DynamicLayout="true">
                        <ProgressTemplate>
                            <div style="border: solid 1px black; width: 154px;">
                                <table>
                                    <tr>
                                        <td style="width: 18px">
                                            <asp:Image ID="Image1" runat="server" ImageUrl="~/Images/Loading.gif" />
                                        </td>
                                        <td style="color: blue;">
                                            正在处理，请稍候...
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </ProgressTemplate>
                    </asp:UpdateProgress>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:solid 1px #cccccc;" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    MSN：
                </td>
                <td style="width: 700px;" align="left">
                    <asp:TextBox runat="server" ID="txt_MSN" MaxLength="50" CssClass="txt" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc;" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    QQ：
                </td>
                <td style="width: 700px;" align="left">
                    <asp:TextBox runat="server" ID="txt_QQ" MaxLength="50" CssClass="txt" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc;" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    固定电话：
                </td>
                <td style="width: 700px;" align="left">
                    <asp:TextBox runat="server" ID="txt_TelePhone" MaxLength="50" CssClass="txt" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border;none; border-top:dashed 1px #cccccc;" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    移动电话：
                </td>
                <td style="width: 700px;" align="left">
                    <asp:TextBox runat="server" ID="txt_MobilePhone" MaxLength="50" CssClass="txt" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc;" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    传真：
                </td>
                <td style="width: 700px;" align="left">
                    <asp:TextBox runat="server" ID="txt_Fax" MaxLength="50" CssClass="txt" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc;" />
                </td>
            </tr>
            <tr>
                <td colspan="2" style="padding-left: 20px;">
                    进入<asp:HyperLink runat="server" Text="隐私设置" ID="hl_Privacy" NavigateUrl="~/Home/Profile.aspx?show=privacy" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc;" />
                </td>
            </tr>
            <tr>
                <td colspan="4" style="padding-left: 20px;">
                    <div class="icon_tiptext">
                    </div>
                    <span style="font-size: 12px; color: #999999; padding-left: 5px;">补全个人信息可以让您在www.clubof.net中获得更好的使用体验，让您的朋友更方便的找到您</span>
                </td>
            </tr>
            <tr>
                <td colspan="4">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc;" />
                </td>
            </tr>
            <tr>
                <td colspan="2" style="padding-left: 20px;">
                    <asp:Button runat="server" ID="bt_Save" Text="保存设置" CssClass="bt" />
                </td>
            </tr>
        </table>
    </ContentTemplate>
</asp:UpdatePanel>
