﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProfileDetailInformationEdit.ascx.cs"
    Inherits="Controls_Users_ProfileDetailInformationEdit" %>

<asp:UpdatePanel runat="server" ID="up_UserDetailInfoForm" UpdateMode="Conditional"
    ChildrenAsTriggers="false">
    <ContentTemplate>
        <table width="100%">
            <tr>
                <td colspan="2" align="right">
                    <asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="up_UserDetailInfoForm"
                        DynamicLayout="true">
                        <ProgressTemplate>
                            <div style="border: solid 1px black; width: 154px;">
                                <table>
                                    <tr>
                                        <td style="width: 18px">
                                            <asp:Image ID="Image1" runat="server" ImageUrl="~/Images/Loading.gif" />
                                        </td>
                                        <td style="color: blue;">
                                            正在处理，请稍候...
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </ProgressTemplate>
                    </asp:UpdateProgress>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:solid 1px #cccccc;" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    教育背景：
                </td>
                <td style="width: 700px;" align="left">
                    <asp:DropDownList runat="server" ID="ddl_EduBackground" CssClass="dropdownlist" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    工作经验：
                </td>
                <td style="width: 700px;" align="left">
                    <asp:DropDownList runat="server" ID="ddl_WorkExperience" CssClass="dropdownlist" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    公司全称：
                </td>
                <td style="width: 700px;" align="left">
                    <asp:TextBox runat="server" ID="txt_CompanyName" MaxLength="255" CssClass="txt" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    公司类型：
                </td>
                <td style="width: 700px;" align="left">
                    <asp:DropDownList runat="server" ID="ddl_CompanyType" CssClass="dropdownlist" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    行业类型：
                </td>
                <td style="width: 700px;" align="left">
                    <asp:DropDownList runat="server" ID="ddl_IndustryType" CssClass="dropdownlist" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    公司规模：
                </td>
                <td style="width: 700px;" align="left">
                    <asp:DropDownList runat="server" ID="ddl_CompanyScale" CssClass="dropdownlist" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    公司地址：
                </td>
                <td style="width: 700px;" align="left">
                    <asp:TextBox runat="server" ID="txt_CompanyAddress" MaxLength="255" CssClass="txt" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    所在部门：
                </td>
                <td style="width: 700px;" align="left">
                    <asp:TextBox runat="server" ID="txt_Department" MaxLength="255" CssClass="txt" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    担任职位：
                </td>
                <td style="width: 700px;" align="left">
                    <asp:DropDownList runat="server" ID="ddl_Title" CssClass="dropdownlist" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    工作地点：
                </td>
                <td style="width: 700px;" align="left">
                    <asp:UpdatePanel runat="server" ID="pn_WorkPlace" UpdateMode="Conditional">
                        <ContentTemplate>
                            <asp:DropDownList runat="server" ID="ddl_Province" AutoPostBack="true" CssClass="dropdownlist_NoWidth" />
                            -
                            <asp:DropDownList runat="server" ID="ddl_City" CssClass="dropdownlist_NoWidth" />
                        </ContentTemplate>
                    </asp:UpdatePanel>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left" valign="top">
                    邮政编码：
                </td>
                <td style="width: 700px;" align="left" valign="top">
                    <asp:TextBox runat="server" ID="txt_PostCode" MaxLength="20" CssClass="txt" />
                    <asp:RegularExpressionValidator ID="rev_pc" runat="server" ControlToValidate="txt_PostCode"
                        Display="Dynamic" ErrorMessage="请填写正确格式的邮编" ValidationExpression="^[0-9]\d*$" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 80px; padding-left: 25px; color: #999999;" align="left">
                    Blog地址：
                </td>
                <td style="width: 700px;" align="left">
                    <asp:TextBox runat="server" ID="txt_Blog" MaxLength="255" CssClass="txt" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td colspan="2" style="padding-left: 20px;">
                    进入<asp:HyperLink runat="server" Text="隐私设置" ID="hl_Privacy" NavigateUrl="~/Home/Profile.aspx?show=privacy" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td colspan="4" style="padding-left: 20px;">
                    <div class="icon_tiptext">
                    </div>
                    <span style="font-size: 12px; color: #999999; padding-left: 5px;">补全个人信息可以让您在www.clubof.net中获得更好的使用体验，让您的朋友更方便的找到您</span>
                </td>
            </tr>
            <tr>
                <td colspan="4">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td colspan="2" style="padding-left: 20px;">
                    <asp:Button runat="server" ID="bt_Save" Text="保存设置" CssClass="bt" />
                </td>
            </tr>
        </table>
    </ContentTemplate>
</asp:UpdatePanel>
