﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProfileUserImageEdit.ascx.cs"
    Inherits="Controls_Users_ProfileUserImageEdit" %>
<style type="text/css">
    .Overlay
    {
        background-color: #CCCCCC;
    }
    .style1
    {
        width: 174px;
    }
    .mt15
    {
        height: 35px;
        width: 388px;
    }
    .icon_userimage
    {
        background-color: #5A6A7E;
        width: 3px;
        height: 10px;
        margin-top: 2px;
        float: left;
    }
    b
    {
        color: #5A6A7E;
        font-size: 14px;
    }
    hr
    {
        height: 1px;
        color: #CCCCCC;
        background-color: #CCCCCC;
    }
    .uploadcontrol
    {
        background-color: #EEEEEE;
        border-bottom: solid 1px #cccccc;
        border-top: none;
        border-left: none;
        border-right: none;
        color: #5A6A7E;
    }
</style>

<asp:ScriptManagerProxy ID="ScriptManagerProxy1" runat="server">
    <Services>
        <asp:ServiceReference Path="~/WebService/AddUserImage.asmx" />
    </Services>
    <Scripts>
        <asp:ScriptReference Path="~/js/swfobject.js" />
    </Scripts>
</asp:ScriptManagerProxy>
<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; text-align:left;">
    <tr>
        <td class="style1" style="width: 36%">
            <table style="width: 90%">
                <tr>
                    <td style="width: 3px">
                        <div class="icon_userimage" />
                    </td>
                    <td style="width: 65px">
                        <b>当前头像</b>
                    </td>
                    <td>
                        <hr />
                    </td>
                </tr>
            </table>
        </td>
        <td>
            <table style="width: 90%">
                <tr>
                    <td style="width: 3px">
                        <div class="icon_userimage" />
                    </td>
                    <td style="width: 65px">
                        <b>上传头像</b>
                    </td>
                    <td>
                        <hr />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td style="height: 20px">
        </td>
    </tr>
    <tr>
        <td style="text-align: center;">
            <div style="padding: 2px; border: solid 1px #cccccc; width: 154px; height: 192px">
                <asp:Image ID="UserImage" runat="server" />
            </div>
        </td>
        <td style="vertical-align: top">
            <div id="uploadImageStep1" runat="server" style="font-size: 12px;">
                <table style="width: 100%;">
                    <tr>
                        <td style="color: #999999">
                            请选择新的照片文件，文件需小于2.5MB
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:FileUpload ID="UserImageUpload" runat="server" Width="90%" CssClass="uploadcontrol" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Button ID="btnUpload" runat="server" OnClick="Upload" Text="上传" CssClass="bt" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div id="errorAlertDiv" visible="false" runat="server">
                                <asp:Label ID="lblError" runat="server" Text="" ForeColor="Red"></asp:Label>
                            </div>
                        </td>
                    </tr>
                </table>
            </div>
            <div id="uploadImageStep2" runat="server" visible="false" style="font-size: 12px;">
                <div id="myContent">
                    <p>
                        Alternative content</p>
                </div>
            </div>
        </td>
    </tr>
    <tr>
        <td style="height: 20px">
        </td>
    </tr>
</table>
<div id="uploadImageStep3" runat="server" visible="false" style="font-size: 12px;">
</div>
<script type="text/javascript">
    var flashvars = {};
    var params = {};
    var attributes = { id: "UserImageFix", name: "UserImageFix" };
    var outputValue;
    function thisMovie(movieName) {
        if (navigator.appName.indexOf("Microsoft") != -1) {
            return window[movieName];
        } else {
            return document[movieName];
        }
    }

    function initImage(value) {
        var swf = document.getElementById("UserImageFix");
        swf.initImage(value);
    }

</script>


