﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="RulesEdit.ascx.cs" Inherits="Controls_Users_RulesEdit" %>
<asp:UpdatePanel runat="server" ID="up_UserRulesForm" UpdateMode="Conditional" ChildrenAsTriggers="false">
    <ContentTemplate>
        <table width="100%">
            <tr>
                <td colspan="2" align="right">
                    <asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="up_UserRulesForm"
                        DynamicLayout="true">
                        <ProgressTemplate>
                            <div style="border: solid 1px black; width: 154px;">
                                <table>
                                    <tr>
                                        <td style="width: 18px">
                                            <asp:Image ID="Image1" runat="server" ImageUrl="~/Images/Loading.gif" />
                                        </td>
                                        <td style="color: blue;">
                                            正在处理，请稍候...
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </ProgressTemplate>
                    </asp:UpdateProgress>
                </td>
            </tr>
            <tr>
                <td colspan="2" align="left" style="font-weight: bold; color:#5A6A7E">
                    个人主页
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:solid 1px #cccccc;" />
                </td>
            </tr>
            <tr>
                <td style="width: 180px; padding-left: 25px; color: #999999;" align="left">
                    谁可以浏览我的个人主页：
                </td>
                <td style="width: 600px;" align="left">
                    <asp:DropDownList runat="server" ID="ddl_DefaultPage" CssClass="dropdownlist">
                        <asp:ListItem Text="只有我自己" Value="0" />
                        <asp:ListItem Text="只有好友" Value="1" />
                        <asp:ListItem Text="任何人" Value="2" Selected="True" />
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 180px; padding-left: 25px; color: #999999;" align="left">
                    来访列表：
                </td>
                <td style="width: 600px;" align="left">
                    <asp:DropDownList runat="server" ID="ddl_RecentVistList" CssClass="dropdownlist">
                        <asp:ListItem Text="只有我自己" Value="0" />
                        <asp:ListItem Text="只有好友" Value="1" />
                        <asp:ListItem Text="任何人" Value="2" Selected="True" />
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 180px; padding-left: 25px; color: #999999;" align="left">
                    所有好友列表：
                </td>
                <td style="width: 600px;" align="left">
                    <asp:DropDownList runat="server" ID="ddl_FriendsList" CssClass="dropdownlist">
                        <asp:ListItem Text="只有我自己" Value="0" />
                        <asp:ListItem Text="只有好友" Value="1" />
                        <asp:ListItem Text="任何人" Value="2" Selected="True" />
                    </asp:DropDownList>
                </td>
            </tr>
             <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 180px; padding-left: 25px; color: #999999;" align="left">
                    好友动态：
                </td>
                <td style="width: 600px;" align="left">
                    <asp:DropDownList runat="server" ID="ddl_Track" CssClass="dropdownlist">
                        <asp:ListItem Text="只有我自己" Value="0" />
                        <asp:ListItem Text="只有好友" Value="1" />
                        <asp:ListItem Text="任何人" Value="2" Selected="True" />
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td colspan="2" align="left" style="font-weight: bold; color:#5A6A7E">
                    个人资料
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 1px; color: #cccccc;" />
                </td>
            </tr>
            <tr>
                <td colspan="2" align="left">
                     <div class="icon_tiptext">
                    </div>
                    <span style="font-size: 12px; color: #999999; padding-left: 5px;">选择哪些人可以看到您的个人资料：</span>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 180px; padding-left: 25px; color: #999999;" align="left">
                    基本资料：
                </td>
                <td style="width: 600px;" align="left">
                    <asp:DropDownList runat="server" ID="ddl_ProfileBasicInfo" CssClass="dropdownlist">
                        <asp:ListItem Text="只有我自己" Value="0" />
                        <asp:ListItem Text="只有好友" Value="1" />
                        <asp:ListItem Text="任何人" Value="2" Selected="True" />
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 180px; padding-left: 25px; color: #999999;" align="left">
                    详细资料：
                </td>
                <td style="width: 600px;" align="left">
                    <asp:DropDownList runat="server" ID="ddl_ProfileDetailInfo" CssClass="dropdownlist">
                        <asp:ListItem Text="只有我自己" Value="0" />
                        <asp:ListItem Text="只有好友" Value="1" />
                        <asp:ListItem Text="任何人" Value="2" Selected="True" />
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td colspan="2" align="left" style="font-weight: bold; color:#5A6A7E">
                    联系方式
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 1px; color: #cccccc;" />
                </td>
            </tr>
            <tr>
                <td colspan="2" align="left">
                     <div class="icon_tiptext">
                    </div>
                    <span style="font-size: 12px; color: #999999; padding-left: 5px;">选择哪些人可以看到您的联系方式：</span>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 180px; padding-left: 25px; color: #999999;" align="left">
                    MSN：
                </td>
                <td style="width: 600px;" align="left">
                    <asp:DropDownList runat="server" ID="ddl_MSN" CssClass="dropdownlist">
                        <asp:ListItem Text="只有我自己" Value="0" />
                        <asp:ListItem Text="只有好友" Value="1" />
                        <asp:ListItem Text="任何人" Value="2" Selected="True" />
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 180px; padding-left: 25px; color: #999999;" align="left">
                    QQ：
                </td>
                <td style="width: 600px;" align="left">
                    <asp:DropDownList runat="server" ID="ddl_QQ" CssClass="dropdownlist">
                        <asp:ListItem Text="只有我自己" Value="0" />
                        <asp:ListItem Text="只有好友" Value="1" />
                        <asp:ListItem Text="任何人" Value="2" Selected="True" />
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 180px; padding-left: 25px; color: #999999;" align="left">
                    固定电话：
                </td>
                <td style="width: 600px;" align="left">
                    <asp:DropDownList runat="server" ID="ddl_Telephone" CssClass="dropdownlist">
                        <asp:ListItem Text="只有我自己" Value="0" />
                        <asp:ListItem Text="只有好友" Value="1" />
                        <asp:ListItem Text="任何人" Value="2" Selected="True" />
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 180px; padding-left: 25px; color: #999999;" align="left">
                    移动电话：
                </td>
                <td style="width: 600px;" align="left">
                    <asp:DropDownList runat="server" ID="ddl_MobilePhone" CssClass="dropdownlist">
                        <asp:ListItem Text="只有我自己" Value="0" />
                        <asp:ListItem Text="只有好友" Value="1" />
                        <asp:ListItem Text="任何人" Value="2" Selected="True"  />
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td style="width: 180px; padding-left: 25px; color: #999999;" align="left">
                    传真：
                </td>
                <td style="width: 600px;" align="left">
                    <asp:DropDownList runat="server" ID="ddl_Fax" CssClass="dropdownlist">
                        <asp:ListItem Text="只有我自己" Value="0" />
                        <asp:ListItem Text="只有好友" Value="1" />
                        <asp:ListItem Text="任何人" Value="2" Selected="True" />
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr style="width: 98%; height: 0px; border:none; border-top:dashed 1px #cccccc" />
                </td>
            </tr>
            <tr>
                <td colspan="2" style="padding-left: 20px;">
                    <asp:Button runat="server" ID="bt_Save" Text="保存设置" CssClass="bt"/>
                </td>
            </tr>
        </table>
    </ContentTemplate>
</asp:UpdatePanel>
