﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FrienDev.Api;

namespace FrienDev.SystemApps
{
    public class ActivityApplication : FrienDevApplication
    {
        public override string GetTrackText(int type, string[] parameters)
        {
            string result = "";
            switch (type)
            {
                case 0://创建活动
                    for (int i = 0; i < parameters.Length; i = i + 2)
                    {
                        result += string.Format("<a href='{0}'>{1}</a> ",
                         "/Activity/Detail.aspx?activityId=" + parameters[i], parameters[i + 1]);
                    }
                    result = string.Concat("创建了活动 ", result, "  ");
                    break;
                case 1://加入活动
                    for (int i = 0; i < parameters.Length; i = i + 2)
                    {
                        result += string.Format("<a href='{0}'>{1}</a> ",
                         "/Activity/Detail.aspx?activityId=" + parameters[i], parameters[i + 1]);
                    }
                    result = string.Concat("加入了活动 ", result, "  ");
                    break;
                case 2://退出活动
                    for (int i = 0; i < parameters.Length; i = i + 2)
                    {
                        result += string.Format("<a href='{0}'>{1}</a> ",
                         "/Activity/Detail.aspx?activityId=" + parameters[i], parameters[i + 1]);
                    }
                    result = string.Concat("退出了活动 ", result, "  ");
                    break;
            }
            return result;
        }
    }
}
